javax.media.opengl

## Interface GL3bc

- All Superinterfaces:
    GL, GL2, GL2ES1, GL2ES2, GL2ES3, GL2GL3, GL3, GL3ES3, GLBase, GLLightingFunc, GLMatrixFunc, GLPointerFunc
  All Known Subinterfaces:
    GL4bc
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc

      public interface GL3bc
      extends GL2, GL3

  This interface contains all OpenGL [ 3.1 .. 3.3 ] compatibility methods, as well as most of it's extensions defined at the time of this specification.

  Note: OpenGL [ 3.1 .. 3.3 ] compatibility profile does includes fixed point functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_FLOAT16_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_FLOAT16_VEC2_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_FLOAT16_VEC3_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_FLOAT16_VEC4_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT16_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT16_VEC2_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT16_VEC3_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT16_VEC4_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT64_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT64_VEC2_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT64_VEC3_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT64_VEC4_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT8_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT8_VEC2_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT8_VEC3_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_INT8_VEC4_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT16_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT16_VEC2_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT16_VEC3_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT16_VEC4_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT64_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT64_VEC2_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT64_VEC3_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT64_VEC4_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT8_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT8_VEC2_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT8_VEC3_NV` Part of `GL_NV_gpu_shader5`
    `static int` | `GL_UNSIGNED_INT8_VEC4_NV` Part of `GL_NV_gpu_shader5`

    - ### Fields inherited from interface javax.media.opengl.GL2

      `GL_2_BYTES, GL_2D, GL_3_BYTES, GL_3D, GL_3D_COLOR, GL_3D_COLOR_TEXTURE, GL_4_BYTES, GL_422_AVERAGE_EXT, GL_422_EXT, GL_422_REV_AVERAGE_EXT, GL_422_REV_EXT, GL_4D_COLOR_TEXTURE, GL_ABGR_EXT, GL_ACCUM, GL_ACCUM_ADJACENT_PAIRS_NV, GL_ACCUM_ALPHA_BITS, GL_ACCUM_BLUE_BITS, GL_ACCUM_BUFFER_BIT, GL_ACCUM_CLEAR_VALUE, GL_ACCUM_GREEN_BITS, GL_ACCUM_RED_BITS, GL_ACTIVE_STENCIL_FACE_EXT, GL_ACTIVE_VERTEX_UNITS_ARB, GL_ADJACENT_PAIRS_NV, GL_AFFINE_2D_NV, GL_AFFINE_3D_NV, GL_ALL_ATTRIB_BITS, GL_ALL_CLIENT_ATTRIB_BITS, GL_ALL_COMPLETED_NV, GL_ALLOW_DRAW_FRG_HINT_PGI, GL_ALLOW_DRAW_MEM_HINT_PGI, GL_ALLOW_DRAW_OBJ_HINT_PGI, GL_ALLOW_DRAW_WIN_HINT_PGI, GL_ALPHA_BIAS, GL_ALPHA_FLOAT16_APPLE, GL_ALPHA_FLOAT16_ATI, GL_ALPHA_FLOAT32_APPLE, GL_ALPHA_FLOAT32_ATI, GL_ALPHA_INTEGER, GL_ALPHA_MAX_CLAMP_INGR, GL_ALPHA_MIN_CLAMP_INGR, GL_ALPHA_SNORM, GL_ALPHA12, GL_ALPHA16, GL_ALPHA16_SNORM, GL_ALPHA16I, GL_ALPHA16UI, GL_ALPHA32I, GL_ALPHA32UI, GL_ALPHA4, GL_ALPHA8_SNORM, GL_ALPHA8I, GL_ALPHA8UI, GL_ALWAYS_FAST_HINT_PGI, GL_ALWAYS_SOFT_HINT_PGI, GL_ARC_TO_NV, GL_ARRAY_ELEMENT_LOCK_COUNT_EXT, GL_ARRAY_ELEMENT_LOCK_FIRST_EXT, GL_ATTENUATION_EXT, GL_ATTRIB_STACK_DEPTH, GL_AUTO_NORMAL, GL_AUX_BUFFERS, GL_AUX_DEPTH_STENCIL_APPLE, GL_AUX0, GL_AUX1, GL_AUX2, GL_AUX3, GL_AVERAGE_EXT, GL_BACK_NORMALS_HINT_PGI, GL_BEVEL_NV, GL_BITMAP, GL_BITMAP_TOKEN, GL_BLUE_BIAS, GL_BLUE_MAX_CLAMP_INGR, GL_BLUE_MIN_CLAMP_INGR, GL_BLUE_SCALE, GL_BOLD_BIT_NV, GL_BOOL_ARB, GL_BOOL_VEC2_ARB, GL_BOOL_VEC3_ARB, GL_BOOL_VEC4_ARB, GL_BOUNDING_BOX_NV, GL_BOUNDING_BOX_OF_BOUNDING_BOXES_NV, GL_BUFFER_FLUSHING_UNMAP, GL_BUFFER_OBJECT_APPLE, GL_BUFFER_SERIALIZED_MODIFY, GL_C3F_V3F, GL_C4F_N3F_V3F, GL_C4UB_V2F, GL_C4UB_V3F, GL_CIRCULAR_CCW_ARC_TO_NV, GL_CIRCULAR_CW_ARC_TO_NV, GL_CIRCULAR_TANGENT_ARC_TO_NV, GL_CLAMP, GL_CLAMP_FRAGMENT_COLOR, GL_CLAMP_VERTEX_COLOR, GL_CLIENT_ALL_ATTRIB_BITS, GL_CLIENT_ATTRIB_STACK_DEPTH, GL_CLIENT_PIXEL_STORE_BIT, GL_CLIENT_VERTEX_ARRAY_BIT, GL_CLIP_FAR_HINT_PGI, GL_CLIP_NEAR_HINT_PGI, GL_CLIP_VOLUME_CLIPPING_HINT_EXT, GL_CLOSE_PATH_NV, GL_CMYK_EXT, GL_CMYKA_EXT, GL_COEFF, GL_COLOR_CLEAR_UNCLAMPED_VALUE_ATI, GL_COLOR_FLOAT_APPLE, GL_COLOR_INDEX, GL_COLOR_INDEXES, GL_COLOR_MATERIAL_FACE, GL_COLOR_MATERIAL_PARAMETER, GL_COLOR_MATRIX, GL_COLOR_MATRIX_STACK_DEPTH, GL_COLOR_SAMPLES_NV, GL_COLOR_SUM, GL_COLOR_SUM_ARB, GL_COLOR_TABLE, GL_COLOR_TABLE_ALPHA_SIZE, GL_COLOR_TABLE_BIAS, GL_COLOR_TABLE_BLUE_SIZE, GL_COLOR_TABLE_FORMAT, GL_COLOR_TABLE_GREEN_SIZE, GL_COLOR_TABLE_INTENSITY_SIZE, GL_COLOR_TABLE_LUMINANCE_SIZE, GL_COLOR_TABLE_RED_SIZE, GL_COLOR_TABLE_SCALE, GL_COLOR_TABLE_WIDTH, GL_COLOR3_BIT_PGI, GL_COLOR4_BIT_PGI, GL_COMPARE_R_TO_TEXTURE, GL_COMPARE_REF_DEPTH_TO_TEXTURE, GL_COMPILE, GL_COMPILE_AND_EXECUTE, GL_COMPRESSED_ALPHA, GL_COMPRESSED_INTENSITY, GL_COMPRESSED_LUMINANCE, GL_COMPRESSED_LUMINANCE_ALPHA, GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_EXT, GL_COMPRESSED_LUMINANCE_LATC1_EXT, GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_EXT, GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_EXT, GL_COMPRESSED_SLUMINANCE, GL_COMPRESSED_SLUMINANCE_ALPHA, GL_COMPUTE_PROGRAM_NV, GL_COMPUTE_PROGRAM_PARAMETER_BUFFER_NV, GL_CONSERVE_MEMORY_HINT_PGI, GL_CONST_EYE_NV, GL_CONSTANT_BORDER, GL_CONVEX_HULL_NV, GL_CONVOLUTION_1D, GL_CONVOLUTION_2D, GL_CONVOLUTION_BORDER_COLOR, GL_CONVOLUTION_BORDER_MODE, GL_CONVOLUTION_FILTER_BIAS, GL_CONVOLUTION_FILTER_SCALE, GL_CONVOLUTION_FORMAT, GL_CONVOLUTION_HEIGHT, GL_CONVOLUTION_WIDTH, GL_COPY_PIXEL_TOKEN, GL_COUNT_DOWN_NV, GL_COUNT_UP_NV, GL_COUNTER_RANGE_AMD, GL_COUNTER_TYPE_AMD, GL_CUBIC_CURVE_TO_NV, GL_CUBIC_EXT, GL_CULL_FRAGMENT_NV, GL_CULL_MODES_NV, GL_CULL_VERTEX_EXT, GL_CULL_VERTEX_EYE_POSITION_EXT, GL_CULL_VERTEX_OBJECT_POSITION_EXT, GL_CURRENT_BIT, GL_CURRENT_FOG_COORD, GL_CURRENT_FOG_COORDINATE, GL_CURRENT_INDEX, GL_CURRENT_MATRIX_ARB, GL_CURRENT_MATRIX_INDEX_ARB, GL_CURRENT_MATRIX_STACK_DEPTH_ARB, GL_CURRENT_OCCLUSION_QUERY_ID_NV, GL_CURRENT_RASTER_COLOR, GL_CURRENT_RASTER_DISTANCE, GL_CURRENT_RASTER_INDEX, GL_CURRENT_RASTER_POSITION, GL_CURRENT_RASTER_POSITION_VALID, GL_CURRENT_RASTER_SECONDARY_COLOR, GL_CURRENT_RASTER_TEXTURE_COORDS, GL_CURRENT_SECONDARY_COLOR, GL_CURRENT_VERTEX_ATTRIB_ARB, GL_CURRENT_VERTEX_EXT, GL_CURRENT_VERTEX_WEIGHT_EXT, GL_CURRENT_WEIGHT_ARB, GL_DATA_BUFFER_AMD, GL_DEPENDENT_AR_TEXTURE_2D_NV, GL_DEPENDENT_GB_TEXTURE_2D_NV, GL_DEPENDENT_HILO_TEXTURE_2D_NV, GL_DEPENDENT_RGB_TEXTURE_3D_NV, GL_DEPENDENT_RGB_TEXTURE_CUBE_MAP_NV, GL_DEPTH_BIAS, GL_DEPTH_BOUNDS_EXT, GL_DEPTH_BOUNDS_TEST_EXT, GL_DEPTH_CLAMP_NV, GL_DEPTH_SCALE, GL_DEPTH_STENCIL_TO_BGRA_NV, GL_DEPTH_STENCIL_TO_RGBA_NV, GL_DEPTH_TEXTURE_MODE, GL_DOMAIN, GL_DOT_PRODUCT_AFFINE_DEPTH_REPLACE_NV, GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV, GL_DOT_PRODUCT_DEPTH_REPLACE_NV, GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV, GL_DOT_PRODUCT_NV, GL_DOT_PRODUCT_PASS_THROUGH_NV, GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV, GL_DOT_PRODUCT_TEXTURE_1D_NV, GL_DOT_PRODUCT_TEXTURE_2D_NV, GL_DOT_PRODUCT_TEXTURE_3D_NV, GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV, GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV, GL_DRAW_BUFFER0_ATI, GL_DRAW_BUFFER1_ATI, GL_DRAW_BUFFER10_ATI, GL_DRAW_BUFFER11_ATI, GL_DRAW_BUFFER12_ATI, GL_DRAW_BUFFER13_ATI, GL_DRAW_BUFFER14_ATI, GL_DRAW_BUFFER15_ATI, GL_DRAW_BUFFER2_ATI, GL_DRAW_BUFFER3_ATI, GL_DRAW_BUFFER4_ATI, GL_DRAW_BUFFER5_ATI, GL_DRAW_BUFFER6_ATI, GL_DRAW_BUFFER7_ATI, GL_DRAW_BUFFER8_ATI, GL_DRAW_BUFFER9_ATI, GL_DRAW_PIXEL_TOKEN, GL_DRAW_PIXELS_APPLE, GL_DS_BIAS_NV, GL_DS_SCALE_NV, GL_DSDT_MAG_INTENSITY_NV, GL_DSDT_MAG_NV, GL_DSDT_MAG_VIB_NV, GL_DSDT_NV, GL_DSDT8_MAG8_INTENSITY8_NV, GL_DSDT8_MAG8_NV, GL_DSDT8_NV, GL_DT_BIAS_NV, GL_DT_SCALE_NV, GL_DUP_FIRST_CUBIC_CURVE_TO_NV, GL_DUP_LAST_CUBIC_CURVE_TO_NV, GL_EDGE_FLAG, GL_EDGE_FLAG_ARRAY, GL_EDGE_FLAG_ARRAY_BUFFER_BINDING, GL_EDGE_FLAG_ARRAY_POINTER, GL_EDGE_FLAG_ARRAY_STRIDE, GL_EDGEFLAG_BIT_PGI, GL_EMBOSS_CONSTANT_NV, GL_EMBOSS_LIGHT_NV, GL_EMBOSS_MAP_NV, GL_ENABLE_BIT, GL_EVAL_2D_NV, GL_EVAL_BIT, GL_EVAL_FRACTIONAL_TESSELLATION_NV, GL_EVAL_TRIANGULAR_2D_NV, GL_EVAL_VERTEX_ATTRIB0_NV, GL_EVAL_VERTEX_ATTRIB1_NV, GL_EVAL_VERTEX_ATTRIB10_NV, GL_EVAL_VERTEX_ATTRIB11_NV, GL_EVAL_VERTEX_ATTRIB12_NV, GL_EVAL_VERTEX_ATTRIB13_NV, GL_EVAL_VERTEX_ATTRIB14_NV, GL_EVAL_VERTEX_ATTRIB15_NV, GL_EVAL_VERTEX_ATTRIB2_NV, GL_EVAL_VERTEX_ATTRIB3_NV, GL_EVAL_VERTEX_ATTRIB4_NV, GL_EVAL_VERTEX_ATTRIB5_NV, GL_EVAL_VERTEX_ATTRIB6_NV, GL_EVAL_VERTEX_ATTRIB7_NV, GL_EVAL_VERTEX_ATTRIB8_NV, GL_EVAL_VERTEX_ATTRIB9_NV, GL_EYE_LINEAR, GL_EYE_PLANE, GL_EYE_PLANE_ABSOLUTE_NV, GL_EYE_RADIAL_NV, GL_FAILURE_NV, GL_FEEDBACK, GL_FEEDBACK_BUFFER_POINTER, GL_FEEDBACK_BUFFER_SIZE, GL_FEEDBACK_BUFFER_TYPE, GL_FENCE_APPLE, GL_FENCE_CONDITION_NV, GL_FENCE_STATUS_NV, GL_FIELD_LOWER_NV, GL_FIELD_UPPER_NV, GL_FILE_NAME_NV, GL_FIRST_TO_REST_NV, GL_FIRST_VERTEX_CONVENTION_EXT, GL_FLOAT_CLEAR_COLOR_VALUE_NV, GL_FLOAT_MAT2_ARB, GL_FLOAT_MAT3_ARB, GL_FLOAT_MAT4_ARB, GL_FLOAT_R_NV, GL_FLOAT_R16_NV, GL_FLOAT_R32_NV, GL_FLOAT_RG_NV, GL_FLOAT_RG16_NV, GL_FLOAT_RG32_NV, GL_FLOAT_RGB_NV, GL_FLOAT_RGB16_NV, GL_FLOAT_RGB32_NV, GL_FLOAT_RGBA_MODE_NV, GL_FLOAT_RGBA_NV, GL_FLOAT_RGBA16_NV, GL_FLOAT_RGBA32_NV, GL_FLOAT_VEC2_ARB, GL_FLOAT_VEC3_ARB, GL_FLOAT_VEC4_ARB, GL_FOG_BIT, GL_FOG_COORD, GL_FOG_COORD_ARRAY, GL_FOG_COORD_ARRAY_BUFFER_BINDING, GL_FOG_COORD_ARRAY_POINTER, GL_FOG_COORD_ARRAY_STRIDE, GL_FOG_COORD_ARRAY_TYPE, GL_FOG_COORD_SRC, GL_FOG_COORDINATE, GL_FOG_COORDINATE_ARRAY, GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING, GL_FOG_COORDINATE_ARRAY_POINTER, GL_FOG_COORDINATE_ARRAY_STRIDE, GL_FOG_COORDINATE_ARRAY_TYPE, GL_FOG_COORDINATE_SOURCE, GL_FOG_DISTANCE_MODE_NV, GL_FOG_INDEX, GL_FONT_ASCENDER_BIT_NV, GL_FONT_DESCENDER_BIT_NV, GL_FONT_HAS_KERNING_BIT_NV, GL_FONT_HEIGHT_BIT_NV, GL_FONT_MAX_ADVANCE_HEIGHT_BIT_NV, GL_FONT_MAX_ADVANCE_WIDTH_BIT_NV, GL_FONT_UNDERLINE_POSITION_BIT_NV, GL_FONT_UNDERLINE_THICKNESS_BIT_NV, GL_FONT_UNITS_PER_EM_BIT_NV, GL_FONT_X_MAX_BOUNDS_BIT_NV, GL_FONT_X_MIN_BOUNDS_BIT_NV, GL_FONT_Y_MAX_BOUNDS_BIT_NV, GL_FONT_Y_MIN_BOUNDS_BIT_NV, GL_FORCE_BLUE_TO_ONE_NV, GL_FORMAT_SUBSAMPLE_24_24_OML, GL_FORMAT_SUBSAMPLE_244_244_OML, GL_FRAGMENT_COLOR_EXT, GL_FRAGMENT_DEPTH, GL_FRAGMENT_MATERIAL_EXT, GL_FRAGMENT_NORMAL_EXT, GL_FRAGMENT_PROGRAM_ARB, GL_FRAGMENT_PROGRAM_INTERPOLATION_OFFSET_BITS_NV, GL_FRAGMENT_PROGRAM_PARAMETER_BUFFER_NV, GL_FULL_RANGE_EXT, GL_FULL_STIPPLE_HINT_PGI, GL_GEOMETRY_PROGRAM_NV, GL_GEOMETRY_PROGRAM_PARAMETER_BUFFER_NV, GL_GLYPH_HAS_KERNING_BIT_NV, GL_GLYPH_HEIGHT_BIT_NV, GL_GLYPH_HORIZONTAL_BEARING_ADVANCE_BIT_NV, GL_GLYPH_HORIZONTAL_BEARING_X_BIT_NV, GL_GLYPH_HORIZONTAL_BEARING_Y_BIT_NV, GL_GLYPH_VERTICAL_BEARING_ADVANCE_BIT_NV, GL_GLYPH_VERTICAL_BEARING_X_BIT_NV, GL_GLYPH_VERTICAL_BEARING_Y_BIT_NV, GL_GLYPH_WIDTH_BIT_NV, GL_GREEN_BIAS, GL_GREEN_MAX_CLAMP_INGR, GL_GREEN_MIN_CLAMP_INGR, GL_GREEN_SCALE, GL_HALF_APPLE, GL_HI_BIAS_NV, GL_HI_SCALE_NV, GL_HILO_NV, GL_HILO16_NV, GL_HILO8_NV, GL_HINT_BIT, GL_HISTOGRAM, GL_HISTOGRAM_ALPHA_SIZE, GL_HISTOGRAM_BLUE_SIZE, GL_HISTOGRAM_FORMAT, GL_HISTOGRAM_GREEN_SIZE, GL_HISTOGRAM_LUMINANCE_SIZE, GL_HISTOGRAM_RED_SIZE, GL_HISTOGRAM_SINK, GL_HISTOGRAM_WIDTH, GL_HORIZONTAL_LINE_TO_NV, GL_INDEX, GL_INDEX_ARRAY, GL_INDEX_ARRAY_BUFFER_BINDING, GL_INDEX_ARRAY_POINTER, GL_INDEX_ARRAY_STRIDE, GL_INDEX_ARRAY_TYPE, GL_INDEX_BIT_PGI, GL_INDEX_BITS, GL_INDEX_CLEAR_VALUE, GL_INDEX_LOGIC_OP, GL_INDEX_MATERIAL_EXT, GL_INDEX_MATERIAL_FACE_EXT, GL_INDEX_MATERIAL_PARAMETER_EXT, GL_INDEX_MODE, GL_INDEX_OFFSET, GL_INDEX_SHIFT, GL_INDEX_TEST_EXT, GL_INDEX_TEST_FUNC_EXT, GL_INDEX_TEST_REF_EXT, GL_INDEX_WRITEMASK, GL_INT_SAMPLER_RENDERBUFFER_NV, GL_INT_VEC2_ARB, GL_INT_VEC3_ARB, GL_INT_VEC4_ARB, GL_INTENSITY, GL_INTENSITY_FLOAT16_APPLE, GL_INTENSITY_FLOAT16_ATI, GL_INTENSITY_FLOAT32_APPLE, GL_INTENSITY_FLOAT32_ATI, GL_INTENSITY_SNORM, GL_INTENSITY12, GL_INTENSITY16, GL_INTENSITY16_SNORM, GL_INTENSITY16F, GL_INTENSITY16I, GL_INTENSITY16UI, GL_INTENSITY32F, GL_INTENSITY32I, GL_INTENSITY32UI, GL_INTENSITY4, GL_INTENSITY8, GL_INTENSITY8_SNORM, GL_INTENSITY8I, GL_INTENSITY8UI, GL_INTERLACE_OML, GL_INTERLACE_READ_INGR, GL_INTERLACE_READ_OML, GL_INVARIANT_DATATYPE_EXT, GL_INVARIANT_EXT, GL_INVARIANT_VALUE_EXT, GL_INVERTED_SCREEN_W_REND, GL_ITALIC_BIT_NV, GL_IUI_N3F_V2F_EXT, GL_IUI_N3F_V3F_EXT, GL_IUI_V2F_EXT, GL_IUI_V3F_EXT, GL_LARGE_CCW_ARC_TO_NV, GL_LARGE_CW_ARC_TO_NV, GL_LAST_VERTEX_CONVENTION_EXT, GL_LAST_VIDEO_CAPTURE_STATUS_NV, GL_LAYOUT_DEFAULT_INTEL, GL_LAYOUT_LINEAR_CPU_CACHED_INTEL, GL_LAYOUT_LINEAR_INTEL, GL_LIGHT_MODEL_COLOR_CONTROL, GL_LIGHT_MODEL_LOCAL_VIEWER, GL_LIGHT_MODEL_SPECULAR_VECTOR_APPLE, GL_LIGHTING_BIT, GL_LINE_BIT, GL_LINE_RESET_TOKEN, GL_LINE_STIPPLE, GL_LINE_STIPPLE_PATTERN, GL_LINE_STIPPLE_REPEAT, GL_LINE_TO_NV, GL_LINE_TOKEN, GL_LIST_BASE, GL_LIST_BIT, GL_LIST_INDEX, GL_LIST_MODE, GL_LO_BIAS_NV, GL_LO_SCALE_NV, GL_LOAD, GL_LOCAL_CONSTANT_DATATYPE_EXT, GL_LOCAL_CONSTANT_EXT, GL_LOCAL_CONSTANT_VALUE_EXT, GL_LOCAL_EXT, GL_LOGIC_OP, GL_LUMINANCE_ALPHA_FLOAT16_APPLE, GL_LUMINANCE_ALPHA_FLOAT16_ATI, GL_LUMINANCE_ALPHA_FLOAT32_APPLE, GL_LUMINANCE_ALPHA_FLOAT32_ATI, GL_LUMINANCE_ALPHA_INTEGER, GL_LUMINANCE_ALPHA_SNORM, GL_LUMINANCE_ALPHA16F, GL_LUMINANCE_ALPHA16I, GL_LUMINANCE_ALPHA16UI, GL_LUMINANCE_ALPHA32F, GL_LUMINANCE_ALPHA32I, GL_LUMINANCE_ALPHA32UI, GL_LUMINANCE_ALPHA8I, GL_LUMINANCE_ALPHA8UI, GL_LUMINANCE_FLOAT16_APPLE, GL_LUMINANCE_FLOAT16_ATI, GL_LUMINANCE_FLOAT32_APPLE, GL_LUMINANCE_FLOAT32_ATI, GL_LUMINANCE_INTEGER, GL_LUMINANCE_SNORM, GL_LUMINANCE12, GL_LUMINANCE12_ALPHA12, GL_LUMINANCE12_ALPHA4, GL_LUMINANCE16, GL_LUMINANCE16_ALPHA16, GL_LUMINANCE16_ALPHA16_SNORM, GL_LUMINANCE16_SNORM, GL_LUMINANCE16F, GL_LUMINANCE16I, GL_LUMINANCE16UI, GL_LUMINANCE32F, GL_LUMINANCE32I, GL_LUMINANCE32UI, GL_LUMINANCE4, GL_LUMINANCE4_ALPHA4, GL_LUMINANCE6_ALPHA2, GL_LUMINANCE8, GL_LUMINANCE8_ALPHA8, GL_LUMINANCE8_ALPHA8_SNORM, GL_LUMINANCE8_SNORM, GL_LUMINANCE8I, GL_LUMINANCE8UI, GL_MAGNITUDE_BIAS_NV, GL_MAGNITUDE_SCALE_NV, GL_MAP_ATTRIB_U_ORDER_NV, GL_MAP_ATTRIB_V_ORDER_NV, GL_MAP_COLOR, GL_MAP_STENCIL, GL_MAP_TESSELLATION_NV, GL_MAP1_COLOR_4, GL_MAP1_GRID_DOMAIN, GL_MAP1_GRID_SEGMENTS, GL_MAP1_INDEX, GL_MAP1_NORMAL, GL_MAP1_TEXTURE_COORD_1, GL_MAP1_TEXTURE_COORD_2, GL_MAP1_TEXTURE_COORD_3, GL_MAP1_TEXTURE_COORD_4, GL_MAP1_VERTEX_3, GL_MAP1_VERTEX_4, GL_MAP2_COLOR_4, GL_MAP2_GRID_DOMAIN, GL_MAP2_GRID_SEGMENTS, GL_MAP2_INDEX, GL_MAP2_NORMAL, GL_MAP2_TEXTURE_COORD_1, GL_MAP2_TEXTURE_COORD_2, GL_MAP2_TEXTURE_COORD_3, GL_MAP2_TEXTURE_COORD_4, GL_MAP2_VERTEX_3, GL_MAP2_VERTEX_4, GL_MAT_AMBIENT_AND_DIFFUSE_BIT_PGI, GL_MAT_AMBIENT_BIT_PGI, GL_MAT_COLOR_INDEXES_BIT_PGI, GL_MAT_DIFFUSE_BIT_PGI, GL_MAT_EMISSION_BIT_PGI, GL_MAT_SHININESS_BIT_PGI, GL_MAT_SPECULAR_BIT_PGI, GL_MATERIAL_SIDE_HINT_PGI, GL_MATRIX_EXT, GL_MATRIX0_ARB, GL_MATRIX1_ARB, GL_MATRIX10_ARB, GL_MATRIX11_ARB, GL_MATRIX12_ARB, GL_MATRIX13_ARB, GL_MATRIX14_ARB, GL_MATRIX15_ARB, GL_MATRIX16_ARB, GL_MATRIX17_ARB, GL_MATRIX18_ARB, GL_MATRIX19_ARB, GL_MATRIX2_ARB, GL_MATRIX20_ARB, GL_MATRIX21_ARB, GL_MATRIX22_ARB, GL_MATRIX23_ARB, GL_MATRIX24_ARB, GL_MATRIX25_ARB, GL_MATRIX26_ARB, GL_MATRIX27_ARB, GL_MATRIX28_ARB, GL_MATRIX29_ARB, GL_MATRIX3_ARB, GL_MATRIX30_ARB, GL_MATRIX31_ARB, GL_MATRIX4_ARB, GL_MATRIX5_ARB, GL_MATRIX6_ARB, GL_MATRIX7_ARB, GL_MATRIX8_ARB, GL_MATRIX9_ARB, GL_MAX_ATTRIB_STACK_DEPTH, GL_MAX_BINDABLE_UNIFORM_SIZE_EXT, GL_MAX_CLIENT_ATTRIB_STACK_DEPTH, GL_MAX_COLOR_MATRIX_STACK_DEPTH, GL_MAX_CONVOLUTION_HEIGHT, GL_MAX_CONVOLUTION_WIDTH, GL_MAX_DEBUG_MESSAGE_LENGTH_AMD, GL_MAX_DEEP_3D_TEXTURE_DEPTH_NV, GL_MAX_DEEP_3D_TEXTURE_WIDTH_HEIGHT_NV, GL_MAX_DRAW_BUFFERS_ATI, GL_MAX_EVAL_ORDER, GL_MAX_FRAGMENT_BINDABLE_UNIFORMS_EXT, GL_MAX_FRAGMENT_INTERPOLATION_OFFSET_NV, GL_MAX_GEOMETRY_BINDABLE_UNIFORMS_EXT, GL_MAX_GEOMETRY_PROGRAM_INVOCATIONS_NV, GL_MAX_LIST_NESTING, GL_MAX_MAP_TESSELLATION_NV, GL_MAX_MATRIX_PALETTE_STACK_DEPTH_ARB, GL_MAX_MULTISAMPLE_COVERAGE_MODES_NV, GL_MAX_NAME_STACK_DEPTH, GL_MAX_OPTIMIZED_VERTEX_SHADER_INSTRUCTIONS_EXT, GL_MAX_OPTIMIZED_VERTEX_SHADER_INVARIANTS_EXT, GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCAL_CONSTANTS_EXT, GL_MAX_OPTIMIZED_VERTEX_SHADER_LOCALS_EXT, GL_MAX_OPTIMIZED_VERTEX_SHADER_VARIANTS_EXT, GL_MAX_PIXEL_MAP_TABLE, GL_MAX_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT, GL_MAX_PN_TRIANGLES_TESSELATION_LEVEL_ATI, GL_MAX_PROGRAM_ADDRESS_REGISTERS_ARB, GL_MAX_PROGRAM_ALU_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV, GL_MAX_PROGRAM_ATTRIBS_ARB, GL_MAX_PROGRAM_ENV_PARAMETERS_ARB, GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV, GL_MAX_PROGRAM_GENERIC_RESULTS_NV, GL_MAX_PROGRAM_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB, GL_MAX_PROGRAM_MATRICES_ARB, GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB, GL_MAX_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB, GL_MAX_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB, GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB, GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB, GL_MAX_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB, GL_MAX_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_OUTPUT_VERTICES_NV, GL_MAX_PROGRAM_PARAMETER_BUFFER_BINDINGS_NV, GL_MAX_PROGRAM_PARAMETER_BUFFER_SIZE_NV, GL_MAX_PROGRAM_PARAMETERS_ARB, GL_MAX_PROGRAM_PATCH_ATTRIBS_NV, GL_MAX_PROGRAM_RESULT_COMPONENTS_NV, GL_MAX_PROGRAM_SUBROUTINE_NUM_NV, GL_MAX_PROGRAM_SUBROUTINE_PARAMETERS_NV, GL_MAX_PROGRAM_TEMPORARIES_ARB, GL_MAX_PROGRAM_TEX_INDIRECTIONS_ARB, GL_MAX_PROGRAM_TEX_INSTRUCTIONS_ARB, GL_MAX_PROGRAM_TEXEL_OFFSET_NV, GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET_NV, GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV, GL_MAX_RATIONAL_EVAL_ORDER_NV, GL_MAX_RECTANGLE_TEXTURE_SIZE_ARB, GL_MAX_SAMPLE_MASK_WORDS_NV, GL_MAX_SHININESS_NV, GL_MAX_SPARSE_3D_TEXTURE_SIZE_AMD, GL_MAX_SPARSE_ARRAY_TEXTURE_LAYERS, GL_MAX_SPARSE_TEXTURE_SIZE_AMD, GL_MAX_SPOT_EXPONENT_NV, GL_MAX_TEXTURE_COORDS, GL_MAX_TEXTURE_COORDS_ARB, GL_MAX_TEXTURE_IMAGE_UNITS_ARB, GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_NV, GL_MAX_VERTEX_ATTRIBS_ARB, GL_MAX_VERTEX_BINDABLE_UNIFORMS_EXT, GL_MAX_VERTEX_HINT_PGI, GL_MAX_VERTEX_SHADER_INSTRUCTIONS_EXT, GL_MAX_VERTEX_SHADER_INVARIANTS_EXT, GL_MAX_VERTEX_SHADER_LOCAL_CONSTANTS_EXT, GL_MAX_VERTEX_SHADER_LOCALS_EXT, GL_MAX_VERTEX_SHADER_VARIANTS_EXT, GL_MIN_FRAGMENT_INTERPOLATION_OFFSET_NV, GL_MIN_LOD_WARNING_AMD, GL_MIN_PROGRAM_TEXEL_OFFSET_NV, GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET_NV, GL_MIN_SPARSE_LEVEL_AMD, GL_MINMAX, GL_MINMAX_FORMAT, GL_MINMAX_SINK, GL_MIRROR_CLAMP_EXT, GL_MIRROR_CLAMP_TO_BORDER_EXT, GL_MIRROR_CLAMP_TO_EDGE_EXT, GL_MITER_REVERT_NV, GL_MITER_TRUNCATE_NV, GL_MODELVIEW0_ARB, GL_MODELVIEW0_EXT, GL_MODELVIEW0_MATRIX_EXT, GL_MODELVIEW0_STACK_DEPTH_EXT, GL_MODELVIEW1_ARB, GL_MODELVIEW1_EXT, GL_MODELVIEW1_MATRIX_EXT, GL_MODELVIEW1_STACK_DEPTH_EXT, GL_MODELVIEW10_ARB, GL_MODELVIEW11_ARB, GL_MODELVIEW12_ARB, GL_MODELVIEW13_ARB, GL_MODELVIEW14_ARB, GL_MODELVIEW15_ARB, GL_MODELVIEW16_ARB, GL_MODELVIEW17_ARB, GL_MODELVIEW18_ARB, GL_MODELVIEW19_ARB, GL_MODELVIEW2_ARB, GL_MODELVIEW20_ARB, GL_MODELVIEW21_ARB, GL_MODELVIEW22_ARB, GL_MODELVIEW23_ARB, GL_MODELVIEW24_ARB, GL_MODELVIEW25_ARB, GL_MODELVIEW26_ARB, GL_MODELVIEW27_ARB, GL_MODELVIEW28_ARB, GL_MODELVIEW29_ARB, GL_MODELVIEW3_ARB, GL_MODELVIEW30_ARB, GL_MODELVIEW31_ARB, GL_MODELVIEW4_ARB, GL_MODELVIEW5_ARB, GL_MODELVIEW6_ARB, GL_MODELVIEW7_ARB, GL_MODELVIEW8_ARB, GL_MODELVIEW9_ARB, GL_MOVE_TO_CONTINUES_NV, GL_MOVE_TO_NV, GL_MOVE_TO_RESETS_NV, GL_MULT, GL_MULTISAMPLE_BIT, GL_MULTISAMPLE_COVERAGE_MODES_NV, GL_MULTISAMPLE_FILTER_HINT_NV, GL_MVP_MATRIX_EXT, GL_N3F_V3F, GL_NAME_STACK_DEPTH, GL_NATIVE_GRAPHICS_BEGIN_HINT_PGI, GL_NATIVE_GRAPHICS_END_HINT_PGI, GL_NATIVE_GRAPHICS_HANDLE_PGI, GL_NEGATIVE_ONE_EXT, GL_NEGATIVE_W_EXT, GL_NEGATIVE_X_EXT, GL_NEGATIVE_Y_EXT, GL_NEGATIVE_Z_EXT, GL_NEXT_VIDEO_CAPTURE_BUFFER_STATUS_NV, GL_NORMAL_BIT_PGI, GL_NORMALIZED_RANGE_EXT, GL_NUM_VIDEO_CAPTURE_STREAMS_NV, GL_OBJECT_ACTIVE_UNIFORM_MAX_LENGTH_ARB, GL_OBJECT_ACTIVE_UNIFORMS_ARB, GL_OBJECT_ATTACHED_OBJECTS_ARB, GL_OBJECT_COMPILE_STATUS_ARB, GL_OBJECT_DELETE_STATUS_ARB, GL_OBJECT_INFO_LOG_LENGTH_ARB, GL_OBJECT_LINEAR, GL_OBJECT_LINK_STATUS_ARB, GL_OBJECT_PLANE, GL_OBJECT_SHADER_SOURCE_LENGTH_ARB, GL_OBJECT_SUBTYPE_ARB, GL_OBJECT_TYPE_ARB, GL_OBJECT_VALIDATE_STATUS_ARB, GL_OFFSET_HILO_PROJECTIVE_TEXTURE_2D_NV, GL_OFFSET_HILO_PROJECTIVE_TEXTURE_RECTANGLE_NV, GL_OFFSET_HILO_TEXTURE_2D_NV, GL_OFFSET_HILO_TEXTURE_RECTANGLE_NV, GL_OFFSET_PROJECTIVE_TEXTURE_2D_NV, GL_OFFSET_PROJECTIVE_TEXTURE_2D_SCALE_NV, GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_NV, GL_OFFSET_PROJECTIVE_TEXTURE_RECTANGLE_SCALE_NV, GL_OFFSET_TEXTURE_2D_BIAS_NV, GL_OFFSET_TEXTURE_2D_MATRIX_NV, GL_OFFSET_TEXTURE_2D_NV, GL_OFFSET_TEXTURE_2D_SCALE_NV, GL_OFFSET_TEXTURE_BIAS_NV, GL_OFFSET_TEXTURE_MATRIX_NV, GL_OFFSET_TEXTURE_RECTANGLE_NV, GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV, GL_OFFSET_TEXTURE_SCALE_NV, GL_ONE_EXT, GL_OP_ADD_EXT, GL_OP_CLAMP_EXT, GL_OP_CROSS_PRODUCT_EXT, GL_OP_DOT3_EXT, GL_OP_DOT4_EXT, GL_OP_EXP_BASE_2_EXT, GL_OP_FLOOR_EXT, GL_OP_FRAC_EXT, GL_OP_INDEX_EXT, GL_OP_LOG_BASE_2_EXT, GL_OP_MADD_EXT, GL_OP_MAX_EXT, GL_OP_MIN_EXT, GL_OP_MOV_EXT, GL_OP_MUL_EXT, GL_OP_MULTIPLY_MATRIX_EXT, GL_OP_NEGATE_EXT, GL_OP_POWER_EXT, GL_OP_RECIP_EXT, GL_OP_RECIP_SQRT_EXT, GL_OP_ROUND_EXT, GL_OP_SET_GE_EXT, GL_OP_SET_LT_EXT, GL_OP_SUB_EXT, GL_ORDER, GL_OUTPUT_COLOR0_EXT, GL_OUTPUT_COLOR1_EXT, GL_OUTPUT_FOG_EXT, GL_OUTPUT_TEXTURE_COORD0_EXT, GL_OUTPUT_TEXTURE_COORD1_EXT, GL_OUTPUT_TEXTURE_COORD10_EXT, GL_OUTPUT_TEXTURE_COORD11_EXT, GL_OUTPUT_TEXTURE_COORD12_EXT, GL_OUTPUT_TEXTURE_COORD13_EXT, GL_OUTPUT_TEXTURE_COORD14_EXT, GL_OUTPUT_TEXTURE_COORD15_EXT, GL_OUTPUT_TEXTURE_COORD16_EXT, GL_OUTPUT_TEXTURE_COORD17_EXT, GL_OUTPUT_TEXTURE_COORD18_EXT, GL_OUTPUT_TEXTURE_COORD19_EXT, GL_OUTPUT_TEXTURE_COORD2_EXT, GL_OUTPUT_TEXTURE_COORD20_EXT, GL_OUTPUT_TEXTURE_COORD21_EXT, GL_OUTPUT_TEXTURE_COORD22_EXT, GL_OUTPUT_TEXTURE_COORD23_EXT, GL_OUTPUT_TEXTURE_COORD24_EXT, GL_OUTPUT_TEXTURE_COORD25_EXT, GL_OUTPUT_TEXTURE_COORD26_EXT, GL_OUTPUT_TEXTURE_COORD27_EXT, GL_OUTPUT_TEXTURE_COORD28_EXT, GL_OUTPUT_TEXTURE_COORD29_EXT, GL_OUTPUT_TEXTURE_COORD3_EXT, GL_OUTPUT_TEXTURE_COORD30_EXT, GL_OUTPUT_TEXTURE_COORD31_EXT, GL_OUTPUT_TEXTURE_COORD4_EXT, GL_OUTPUT_TEXTURE_COORD5_EXT, GL_OUTPUT_TEXTURE_COORD6_EXT, GL_OUTPUT_TEXTURE_COORD7_EXT, GL_OUTPUT_TEXTURE_COORD8_EXT, GL_OUTPUT_TEXTURE_COORD9_EXT, GL_OUTPUT_VERTEX_EXT, GL_PACK_CMYK_HINT_EXT, GL_PACK_RESAMPLE_OML, GL_PACK_ROW_BYTES_APPLE, GL_PALETTE4_R5_G6_B5_OES, GL_PALETTE4_RGB5_A1_OES, GL_PALETTE4_RGB8_OES, GL_PALETTE4_RGBA4_OES, GL_PALETTE4_RGBA8_OES, GL_PALETTE8_R5_G6_B5_OES, GL_PALETTE8_RGB5_A1_OES, GL_PALETTE8_RGB8_OES, GL_PALETTE8_RGBA4_OES, GL_PALETTE8_RGBA8_OES, GL_PARTIAL_SUCCESS_NV, GL_PASS_THROUGH_NV, GL_PASS_THROUGH_TOKEN, GL_PATH_CLIENT_LENGTH_NV, GL_PATH_COMMAND_COUNT_NV, GL_PATH_COMPUTED_LENGTH_NV, GL_PATH_COORD_COUNT_NV, GL_PATH_COVER_DEPTH_FUNC_NV, GL_PATH_DASH_ARRAY_COUNT_NV, GL_PATH_DASH_CAPS_NV, GL_PATH_DASH_OFFSET_NV, GL_PATH_DASH_OFFSET_RESET_NV, GL_PATH_END_CAPS_NV, GL_PATH_ERROR_POSITION_NV, GL_PATH_FILL_BOUNDING_BOX_NV, GL_PATH_FILL_COVER_MODE_NV, GL_PATH_FILL_MASK_NV, GL_PATH_FILL_MODE_NV, GL_PATH_FOG_GEN_MODE_NV, GL_PATH_FORMAT_PS_NV, GL_PATH_FORMAT_SVG_NV, GL_PATH_GEN_COEFF_NV, GL_PATH_GEN_COLOR_FORMAT_NV, GL_PATH_GEN_COMPONENTS_NV, GL_PATH_GEN_MODE_NV, GL_PATH_INITIAL_DASH_CAP_NV, GL_PATH_INITIAL_END_CAP_NV, GL_PATH_JOIN_STYLE_NV, GL_PATH_MITER_LIMIT_NV, GL_PATH_OBJECT_BOUNDING_BOX_NV, GL_PATH_STENCIL_DEPTH_OFFSET_FACTOR_NV, GL_PATH_STENCIL_DEPTH_OFFSET_UNITS_NV, GL_PATH_STENCIL_FUNC_NV, GL_PATH_STENCIL_REF_NV, GL_PATH_STENCIL_VALUE_MASK_NV, GL_PATH_STROKE_BOUNDING_BOX_NV, GL_PATH_STROKE_COVER_MODE_NV, GL_PATH_STROKE_MASK_NV, GL_PATH_STROKE_WIDTH_NV, GL_PATH_TERMINAL_DASH_CAP_NV, GL_PATH_TERMINAL_END_CAP_NV, GL_PERCENTAGE_AMD, GL_PERFMON_RESULT_AMD, GL_PERFMON_RESULT_AVAILABLE_AMD, GL_PERFMON_RESULT_SIZE_AMD, GL_PERFORMANCE_MONITOR_AMD, GL_PERTURB_EXT, GL_PIXEL_COUNT_AVAILABLE_NV, GL_PIXEL_COUNT_NV, GL_PIXEL_COUNTER_BITS_NV, GL_PIXEL_CUBIC_WEIGHT_EXT, GL_PIXEL_MAG_FILTER_EXT, GL_PIXEL_MAP_A_TO_A, GL_PIXEL_MAP_A_TO_A_SIZE, GL_PIXEL_MAP_B_TO_B, GL_PIXEL_MAP_B_TO_B_SIZE, GL_PIXEL_MAP_G_TO_G, GL_PIXEL_MAP_G_TO_G_SIZE, GL_PIXEL_MAP_I_TO_A, GL_PIXEL_MAP_I_TO_A_SIZE, GL_PIXEL_MAP_I_TO_B, GL_PIXEL_MAP_I_TO_B_SIZE, GL_PIXEL_MAP_I_TO_G, GL_PIXEL_MAP_I_TO_G_SIZE, GL_PIXEL_MAP_I_TO_I, GL_PIXEL_MAP_I_TO_I_SIZE, GL_PIXEL_MAP_I_TO_R, GL_PIXEL_MAP_I_TO_R_SIZE, GL_PIXEL_MAP_R_TO_R, GL_PIXEL_MAP_R_TO_R_SIZE, GL_PIXEL_MAP_S_TO_S, GL_PIXEL_MAP_S_TO_S_SIZE, GL_PIXEL_MIN_FILTER_EXT, GL_PIXEL_MODE_BIT, GL_PIXEL_PACK_BUFFER_BINDING_EXT, GL_PIXEL_PACK_BUFFER_EXT, GL_PIXEL_TRANSFORM_2D_EXT, GL_PIXEL_TRANSFORM_2D_MATRIX_EXT, GL_PIXEL_TRANSFORM_2D_STACK_DEPTH_EXT, GL_PIXEL_UNPACK_BUFFER_BINDING_EXT, GL_PIXEL_UNPACK_BUFFER_EXT, GL_PN_TRIANGLES_ATI, GL_PN_TRIANGLES_NORMAL_MODE_ATI, GL_PN_TRIANGLES_NORMAL_MODE_LINEAR_ATI, GL_PN_TRIANGLES_NORMAL_MODE_QUADRATIC_ATI, GL_PN_TRIANGLES_POINT_MODE_ATI, GL_PN_TRIANGLES_POINT_MODE_CUBIC_ATI, GL_PN_TRIANGLES_POINT_MODE_LINEAR_ATI, GL_PN_TRIANGLES_TESSELATION_LEVEL_ATI, GL_POINT_BIT, GL_POINT_TOKEN, GL_POLYGON, GL_POLYGON_BIT, GL_POLYGON_STIPPLE, GL_POLYGON_STIPPLE_BIT, GL_POLYGON_TOKEN, GL_POST_COLOR_MATRIX_ALPHA_BIAS, GL_POST_COLOR_MATRIX_ALPHA_SCALE, GL_POST_COLOR_MATRIX_BLUE_BIAS, GL_POST_COLOR_MATRIX_BLUE_SCALE, GL_POST_COLOR_MATRIX_COLOR_TABLE, GL_POST_COLOR_MATRIX_GREEN_BIAS, GL_POST_COLOR_MATRIX_GREEN_SCALE, GL_POST_COLOR_MATRIX_RED_BIAS, GL_POST_COLOR_MATRIX_RED_SCALE, GL_POST_CONVOLUTION_ALPHA_BIAS, GL_POST_CONVOLUTION_ALPHA_SCALE, GL_POST_CONVOLUTION_BLUE_BIAS, GL_POST_CONVOLUTION_BLUE_SCALE, GL_POST_CONVOLUTION_COLOR_TABLE, GL_POST_CONVOLUTION_GREEN_BIAS, GL_POST_CONVOLUTION_GREEN_SCALE, GL_POST_CONVOLUTION_RED_BIAS, GL_POST_CONVOLUTION_RED_SCALE, GL_PREFER_DOUBLEBUFFER_HINT_PGI, GL_PREVIOUS_TEXTURE_INPUT_NV, GL_PRIMITIVE_RESTART_INDEX_NV, GL_PRIMITIVE_RESTART_NV, GL_PROGRAM_ADDRESS_REGISTERS_ARB, GL_PROGRAM_ALU_INSTRUCTIONS_ARB, GL_PROGRAM_ATTRIB_COMPONENTS_NV, GL_PROGRAM_ATTRIBS_ARB, GL_PROGRAM_BINDING_ARB, GL_PROGRAM_ERROR_POSITION_ARB, GL_PROGRAM_ERROR_STRING_ARB, GL_PROGRAM_FORMAT_ARB, GL_PROGRAM_FORMAT_ASCII_ARB, GL_PROGRAM_INSTRUCTIONS_ARB, GL_PROGRAM_LENGTH_ARB, GL_PROGRAM_MATRIX_EXT, GL_PROGRAM_MATRIX_STACK_DEPTH_EXT, GL_PROGRAM_NATIVE_ADDRESS_REGISTERS_ARB, GL_PROGRAM_NATIVE_ALU_INSTRUCTIONS_ARB, GL_PROGRAM_NATIVE_ATTRIBS_ARB, GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB, GL_PROGRAM_NATIVE_PARAMETERS_ARB, GL_PROGRAM_NATIVE_TEMPORARIES_ARB, GL_PROGRAM_NATIVE_TEX_INDIRECTIONS_ARB, GL_PROGRAM_NATIVE_TEX_INSTRUCTIONS_ARB, GL_PROGRAM_OBJECT_ARB, GL_PROGRAM_PARAMETERS_ARB, GL_PROGRAM_RESULT_COMPONENTS_NV, GL_PROGRAM_STRING_ARB, GL_PROGRAM_TEMPORARIES_ARB, GL_PROGRAM_TEX_INDIRECTIONS_ARB, GL_PROGRAM_TEX_INSTRUCTIONS_ARB, GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB, GL_PROVOKING_VERTEX_EXT, GL_PROXY_COLOR_TABLE, GL_PROXY_HISTOGRAM, GL_PROXY_POST_COLOR_MATRIX_COLOR_TABLE, GL_PROXY_POST_CONVOLUTION_COLOR_TABLE, GL_PROXY_TEXTURE_RECTANGLE_ARB, GL_PURGEABLE_APPLE, GL_Q, GL_QUAD_STRIP, GL_QUADRATIC_CURVE_TO_NV, GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION_EXT, GL_QUERY_BUFFER_AMD, GL_QUERY_BUFFER_BINDING_AMD, GL_QUERY_OBJECT_AMD, GL_QUERY_RESULT_NO_WAIT_AMD, GL_R, GL_READ_PIXEL_DATA_RANGE_LENGTH_NV, GL_READ_PIXEL_DATA_RANGE_NV, GL_READ_PIXEL_DATA_RANGE_POINTER_NV, GL_RECLAIM_MEMORY_HINT_PGI, GL_RECT_NV, GL_RED_BIAS, GL_RED_MAX_CLAMP_INGR, GL_RED_MIN_CLAMP_INGR, GL_RED_SCALE, GL_REDUCE, GL_RELATIVE_ARC_TO_NV, GL_RELATIVE_CUBIC_CURVE_TO_NV, GL_RELATIVE_HORIZONTAL_LINE_TO_NV, GL_RELATIVE_LARGE_CCW_ARC_TO_NV, GL_RELATIVE_LARGE_CW_ARC_TO_NV, GL_RELATIVE_LINE_TO_NV, GL_RELATIVE_MOVE_TO_NV, GL_RELATIVE_QUADRATIC_CURVE_TO_NV, GL_RELATIVE_SMALL_CCW_ARC_TO_NV, GL_RELATIVE_SMALL_CW_ARC_TO_NV, GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV, GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV, GL_RELATIVE_VERTICAL_LINE_TO_NV, GL_RELEASED_APPLE, GL_RENDER, GL_RENDER_MODE, GL_RENDERBUFFER_COLOR_SAMPLES_NV, GL_RENDERBUFFER_COVERAGE_SAMPLES_NV, GL_RENDERBUFFER_FREE_MEMORY_ATI, GL_REPLICATE_BORDER, GL_RESAMPLE_AVERAGE_OML, GL_RESAMPLE_DECIMATE_OML, GL_RESAMPLE_REPLICATE_OML, GL_RESAMPLE_ZERO_FILL_OML, GL_RESTART_PATH_NV, GL_RETAINED_APPLE, GL_RETURN, GL_RGB_422_APPLE, GL_RGB_FLOAT16_APPLE, GL_RGB_FLOAT16_ATI, GL_RGB_FLOAT32_APPLE, GL_RGB_FLOAT32_ATI, GL_RGB_S3TC, GL_RGB4_S3TC, GL_RGBA_DXT5_S3TC, GL_RGBA_FLOAT_MODE, GL_RGBA_FLOAT_MODE_ATI, GL_RGBA_FLOAT16_APPLE, GL_RGBA_FLOAT16_ATI, GL_RGBA_FLOAT32_APPLE, GL_RGBA_FLOAT32_ATI, GL_RGBA_INTEGER_MODE, GL_RGBA_MODE, GL_RGBA_S3TC, GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV, GL_RGBA4_DXT5_S3TC, GL_RGBA4_S3TC, GL_ROUND_NV, GL_S, GL_SAMPLE_MASK_NV, GL_SAMPLE_MASK_VALUE_NV, GL_SAMPLE_POSITION_NV, GL_SAMPLER_1D_ARB, GL_SAMPLER_1D_SHADOW_ARB, GL_SAMPLER_2D_ARB, GL_SAMPLER_2D_RECT_ARB, GL_SAMPLER_2D_RECT_SHADOW_ARB, GL_SAMPLER_2D_SHADOW_ARB, GL_SAMPLER_3D_ARB, GL_SAMPLER_CUBE_ARB, GL_SAMPLER_OBJECT_AMD, GL_SAMPLER_RENDERBUFFER_NV, GL_SCALAR_EXT, GL_SCISSOR_BIT, GL_SCREEN_COORDINATES_REND, GL_SECONDARY_COLOR_ARRAY, GL_SECONDARY_COLOR_ARRAY_BUFFER_BINDING, GL_SECONDARY_COLOR_ARRAY_POINTER, GL_SECONDARY_COLOR_ARRAY_SIZE, GL_SECONDARY_COLOR_ARRAY_STRIDE, GL_SECONDARY_COLOR_ARRAY_TYPE, GL_SELECT, GL_SELECTION_BUFFER_POINTER, GL_SELECTION_BUFFER_SIZE, GL_SEPARABLE_2D, GL_SEPARATE_SPECULAR_COLOR, GL_SHADER_CONSISTENT_NV, GL_SHADER_GLOBAL_ACCESS_BARRIER_BIT_NV, GL_SHADER_OBJECT_ARB, GL_SHADER_OPERATION_NV, GL_SHADING_LANGUAGE_VERSION_ARB, GL_SHADOW_ATTENUATION_EXT, GL_SHARED_TEXTURE_PALETTE_EXT, GL_SIGNED_ALPHA_NV, GL_SIGNED_ALPHA8_NV, GL_SIGNED_HILO_NV, GL_SIGNED_HILO16_NV, GL_SIGNED_HILO8_NV, GL_SIGNED_INTENSITY_NV, GL_SIGNED_INTENSITY8_NV, GL_SIGNED_LUMINANCE_ALPHA_NV, GL_SIGNED_LUMINANCE_NV, GL_SIGNED_LUMINANCE8_ALPHA8_NV, GL_SIGNED_LUMINANCE8_NV, GL_SIGNED_RGB_NV, GL_SIGNED_RGB_UNSIGNED_ALPHA_NV, GL_SIGNED_RGB8_NV, GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV, GL_SIGNED_RGBA_NV, GL_SIGNED_RGBA8_NV, GL_SINGLE_COLOR, GL_SKIP_MISSING_GLYPH_NV, GL_SLUMINANCE, GL_SLUMINANCE_ALPHA, GL_SLUMINANCE8, GL_SLUMINANCE8_ALPHA8, GL_SMALL_CCW_ARC_TO_NV, GL_SMALL_CW_ARC_TO_NV, GL_SMOOTH_CUBIC_CURVE_TO_NV, GL_SMOOTH_QUADRATIC_CURVE_TO_NV, GL_SOURCE0_ALPHA, GL_SOURCE0_RGB, GL_SOURCE1_ALPHA, GL_SOURCE1_RGB, GL_SOURCE2_ALPHA, GL_SOURCE2_RGB, GL_SPHERE_MAP, GL_SQUARE_NV, GL_STANDARD_FONT_NAME_NV, GL_STENCIL_CLEAR_TAG_VALUE_EXT, GL_STENCIL_TAG_BITS_EXT, GL_STENCIL_TEST_TWO_SIDE_EXT, GL_STORAGE_CACHED_APPLE, GL_STORAGE_CLIENT_APPLE, GL_STORAGE_PRIVATE_APPLE, GL_STORAGE_SHARED_APPLE, GL_STRICT_DEPTHFUNC_HINT_PGI, GL_STRICT_LIGHTING_HINT_PGI, GL_STRICT_SCISSOR_HINT_PGI, GL_SUCCESS_NV, GL_SURFACE_MAPPED_NV, GL_SURFACE_REGISTERED_NV, GL_SURFACE_STATE_NV, GL_SYSTEM_FONT_NAME_NV, GL_T, GL_T2F_C3F_V3F, GL_T2F_C4F_N3F_V3F, GL_T2F_C4UB_V3F, GL_T2F_IUI_N3F_V2F_EXT, GL_T2F_IUI_N3F_V3F_EXT, GL_T2F_IUI_V2F_EXT, GL_T2F_IUI_V3F_EXT, GL_T2F_N3F_V3F, GL_T2F_V3F, GL_T4F_C4F_N3F_V4F, GL_T4F_V4F, GL_TABLE_TOO_LARGE, GL_TESS_CONTROL_PROGRAM_NV, GL_TESS_CONTROL_PROGRAM_PARAMETER_BUFFER_NV, GL_TESS_EVALUATION_PROGRAM_NV, GL_TESS_EVALUATION_PROGRAM_PARAMETER_BUFFER_NV, GL_TEXCOORD1_BIT_PGI, GL_TEXCOORD2_BIT_PGI, GL_TEXCOORD3_BIT_PGI, GL_TEXCOORD4_BIT_PGI, GL_TEXTURE_APPLICATION_MODE_EXT, GL_TEXTURE_BINDING_RECTANGLE_ARB, GL_TEXTURE_BINDING_RENDERBUFFER_NV, GL_TEXTURE_BIT, GL_TEXTURE_BORDER, GL_TEXTURE_BORDER_VALUES_NV, GL_TEXTURE_BUFFER_FORMAT, GL_TEXTURE_COMPARE_FAIL_VALUE_ARB, GL_TEXTURE_COMPONENTS, GL_TEXTURE_CONSTANT_DATA_SUNX, GL_TEXTURE_DS_SIZE_NV, GL_TEXTURE_DT_SIZE_NV, GL_TEXTURE_FILTER_CONTROL, GL_TEXTURE_FLOAT_COMPONENTS_NV, GL_TEXTURE_FREE_MEMORY_ATI, GL_TEXTURE_GEN_Q, GL_TEXTURE_GEN_R, GL_TEXTURE_GEN_S, GL_TEXTURE_GEN_T, GL_TEXTURE_HI_SIZE_NV, GL_TEXTURE_INTENSITY_SIZE, GL_TEXTURE_INTENSITY_TYPE, GL_TEXTURE_LIGHT_EXT, GL_TEXTURE_LO_SIZE_NV, GL_TEXTURE_LUMINANCE_SIZE, GL_TEXTURE_LUMINANCE_TYPE, GL_TEXTURE_MAG_SIZE_NV, GL_TEXTURE_MATERIAL_FACE_EXT, GL_TEXTURE_MATERIAL_PARAMETER_EXT, GL_TEXTURE_MEMORY_LAYOUT_INTEL, GL_TEXTURE_NORMAL_EXT, GL_TEXTURE_PRIORITY, GL_TEXTURE_RANGE_LENGTH_APPLE, GL_TEXTURE_RANGE_POINTER_APPLE, GL_TEXTURE_RECTANGLE_ARB, GL_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV, GL_TEXTURE_RENDERBUFFER_NV, GL_TEXTURE_RESIDENT, GL_TEXTURE_SHADER_NV, GL_TEXTURE_STORAGE_HINT_APPLE, GL_TEXTURE_STORAGE_SPARSE_BIT_AMD, GL_TEXTURE_SWIZZLE_A_EXT, GL_TEXTURE_SWIZZLE_B_EXT, GL_TEXTURE_SWIZZLE_G_EXT, GL_TEXTURE_SWIZZLE_R_EXT, GL_TEXTURE_SWIZZLE_RGBA_EXT, GL_TEXTURE_UNSIGNED_REMAP_MODE_NV, GL_TIME_ELAPSED_EXT, GL_TRANSFORM_BIT, GL_TRANSFORM_FEEDBACK_BINDING_NV, GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE_NV, GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED_NV, GL_TRANSFORM_FEEDBACK_NV, GL_TRANSFORM_HINT_APPLE, GL_TRANSLATE_2D_NV, GL_TRANSLATE_3D_NV, GL_TRANSLATE_X_NV, GL_TRANSLATE_Y_NV, GL_TRANSPOSE_AFFINE_2D_NV, GL_TRANSPOSE_AFFINE_3D_NV, GL_TRANSPOSE_COLOR_MATRIX, GL_TRANSPOSE_CURRENT_MATRIX_ARB, GL_TRANSPOSE_MODELVIEW_MATRIX, GL_TRANSPOSE_PROGRAM_MATRIX_EXT, GL_TRANSPOSE_PROJECTION_MATRIX, GL_TRANSPOSE_TEXTURE_MATRIX, GL_TRIANGULAR_NV, GL_UNDEFINED_APPLE, GL_UNIFORM_BUFFER_BINDING_EXT, GL_UNIFORM_BUFFER_EXT, GL_UNPACK_CLIENT_STORAGE_APPLE, GL_UNPACK_CMYK_HINT_EXT, GL_UNPACK_CONSTANT_DATA_SUNX, GL_UNPACK_RESAMPLE_OML, GL_UNPACK_ROW_BYTES_APPLE, GL_UNSIGNED_INT_8_8_S8_S8_REV_NV, GL_UNSIGNED_INT_S8_S8_8_8_NV, GL_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV, GL_UNSIGNED_INT64_AMD, GL_UNSIGNED_SHORT_8_8_APPLE, GL_UNSIGNED_SHORT_8_8_REV_APPLE, GL_USE_MISSING_GLYPH_NV, GL_UTF16_NV, GL_UTF8_NV, GL_V2F, GL_V3F, GL_VARIANT_ARRAY_EXT, GL_VARIANT_ARRAY_POINTER_EXT, GL_VARIANT_ARRAY_STRIDE_EXT, GL_VARIANT_ARRAY_TYPE_EXT, GL_VARIANT_DATATYPE_EXT, GL_VARIANT_EXT, GL_VARIANT_VALUE_EXT, GL_VBO_FREE_MEMORY_ATI, GL_VECTOR_EXT, GL_VERTEX_ARRAY_OBJECT_AMD, GL_VERTEX_ARRAY_RANGE_APPLE, GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE, GL_VERTEX_ARRAY_RANGE_LENGTH_NV, GL_VERTEX_ARRAY_RANGE_NV, GL_VERTEX_ARRAY_RANGE_POINTER_APPLE, GL_VERTEX_ARRAY_RANGE_POINTER_NV, GL_VERTEX_ARRAY_RANGE_VALID_NV, GL_VERTEX_ARRAY_RANGE_WITHOUT_FLUSH_NV, GL_VERTEX_ARRAY_STORAGE_HINT_APPLE, GL_VERTEX_ATTRIB_ARRAY_ENABLED_ARB, GL_VERTEX_ATTRIB_ARRAY_INTEGER_NV, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED_ARB, GL_VERTEX_ATTRIB_ARRAY_POINTER_ARB, GL_VERTEX_ATTRIB_ARRAY_SIZE_ARB, GL_VERTEX_ATTRIB_ARRAY_STRIDE_ARB, GL_VERTEX_ATTRIB_ARRAY_TYPE_ARB, GL_VERTEX_ATTRIB_MAP1_APPLE, GL_VERTEX_ATTRIB_MAP1_COEFF_APPLE, GL_VERTEX_ATTRIB_MAP1_DOMAIN_APPLE, GL_VERTEX_ATTRIB_MAP1_ORDER_APPLE, GL_VERTEX_ATTRIB_MAP1_SIZE_APPLE, GL_VERTEX_ATTRIB_MAP2_APPLE, GL_VERTEX_ATTRIB_MAP2_COEFF_APPLE, GL_VERTEX_ATTRIB_MAP2_DOMAIN_APPLE, GL_VERTEX_ATTRIB_MAP2_ORDER_APPLE, GL_VERTEX_ATTRIB_MAP2_SIZE_APPLE, GL_VERTEX_BLEND_ARB, GL_VERTEX_CONSISTENT_HINT_PGI, GL_VERTEX_DATA_HINT_PGI, GL_VERTEX_ELEMENT_SWIZZLE_AMD, GL_VERTEX_ID_SWIZZLE_AMD, GL_VERTEX_PROGRAM_ARB, GL_VERTEX_PROGRAM_PARAMETER_BUFFER_NV, GL_VERTEX_PROGRAM_POINT_SIZE_ARB, GL_VERTEX_PROGRAM_TWO_SIDE, GL_VERTEX_PROGRAM_TWO_SIDE_ARB, GL_VERTEX_SHADER_BINDING_EXT, GL_VERTEX_SHADER_EXT, GL_VERTEX_SHADER_INSTRUCTIONS_EXT, GL_VERTEX_SHADER_INVARIANTS_EXT, GL_VERTEX_SHADER_LOCAL_CONSTANTS_EXT, GL_VERTEX_SHADER_LOCALS_EXT, GL_VERTEX_SHADER_OPTIMIZED_EXT, GL_VERTEX_SHADER_VARIANTS_EXT, GL_VERTEX_WEIGHT_ARRAY_EXT, GL_VERTEX_WEIGHT_ARRAY_POINTER_EXT, GL_VERTEX_WEIGHT_ARRAY_SIZE_EXT, GL_VERTEX_WEIGHT_ARRAY_STRIDE_EXT, GL_VERTEX_WEIGHT_ARRAY_TYPE_EXT, GL_VERTEX_WEIGHTING_EXT, GL_VERTEX23_BIT_PGI, GL_VERTEX4_BIT_PGI, GL_VERTICAL_LINE_TO_NV, GL_VIBRANCE_BIAS_NV, GL_VIBRANCE_SCALE_NV, GL_VIDEO_BUFFER_BINDING_NV, GL_VIDEO_BUFFER_INTERNAL_FORMAT_NV, GL_VIDEO_BUFFER_NV, GL_VIDEO_BUFFER_PITCH_NV, GL_VIDEO_CAPTURE_FIELD_LOWER_HEIGHT_NV, GL_VIDEO_CAPTURE_FIELD_UPPER_HEIGHT_NV, GL_VIDEO_CAPTURE_FRAME_HEIGHT_NV, GL_VIDEO_CAPTURE_FRAME_WIDTH_NV, GL_VIDEO_CAPTURE_SURFACE_ORIGIN_NV, GL_VIDEO_CAPTURE_TO_422_SUPPORTED_NV, GL_VIDEO_COLOR_CONVERSION_MATRIX_NV, GL_VIDEO_COLOR_CONVERSION_MAX_NV, GL_VIDEO_COLOR_CONVERSION_MIN_NV, GL_VIDEO_COLOR_CONVERSION_OFFSET_NV, GL_VIEWPORT_BIT, GL_VIRTUAL_PAGE_SIZE_X_AMD, GL_VIRTUAL_PAGE_SIZE_Y_AMD, GL_VIRTUAL_PAGE_SIZE_Z_AMD, GL_VOLATILE_APPLE, GL_W_EXT, GL_WEIGHT_SUM_UNITY_ARB, GL_WIDE_LINE_HINT_PGI, GL_WRITE_DISCARD_NV, GL_WRITE_PIXEL_DATA_RANGE_LENGTH_NV, GL_WRITE_PIXEL_DATA_RANGE_NV, GL_WRITE_PIXEL_DATA_RANGE_POINTER_NV, GL_X_EXT, GL_Y_EXT, GL_YCBAYCR8A_4224_NV, GL_YCBCR_422_APPLE, GL_YCBYCR8_422_NV, GL_Z_EXT, GL_Z4Y12Z4CB12Z4A12Z4Y12Z4CR12Z4A12_4224_NV, GL_Z4Y12Z4CB12Z4CR12_444_NV, GL_Z4Y12Z4CB12Z4Y12Z4CR12_422_NV, GL_Z6Y10Z6CB10Z6A10Z6Y10Z6CR10Z6A10_4224_NV, GL_Z6Y10Z6CB10Z6Y10Z6CR10_422_NV, GL_ZERO_EXT, GL_ZOOM_X, GL_ZOOM_Y`

    - ### Fields inherited from interface javax.media.opengl.GL2ES1

      `GL_ADD, GL_ADD_SIGNED, GL_ALPHA_SCALE, GL_ALPHA_TEST, GL_ALPHA_TEST_FUNC, GL_ALPHA_TEST_REF, GL_CLIENT_ACTIVE_TEXTURE, GL_CLIP_PLANE0, GL_CLIP_PLANE1, GL_CLIP_PLANE2, GL_CLIP_PLANE3, GL_CLIP_PLANE4, GL_CLIP_PLANE5, GL_COLOR_ARRAY_BUFFER_BINDING, GL_COLOR_ARRAY_POINTER, GL_COLOR_ARRAY_SIZE, GL_COLOR_ARRAY_STRIDE, GL_COLOR_ARRAY_TYPE, GL_COMBINE, GL_COMBINE_ALPHA, GL_COMBINE_RGB, GL_CONSTANT, GL_CONTEXT_ROBUST_ACCESS, GL_COORD_REPLACE, GL_CURRENT_COLOR, GL_CURRENT_NORMAL, GL_CURRENT_PALETTE_MATRIX, GL_CURRENT_TEXTURE_COORDS, GL_DECAL, GL_DOT3_RGB, GL_DOT3_RGBA, GL_EXP, GL_EXP2, GL_FOG, GL_FOG_COLOR, GL_FOG_DENSITY, GL_FOG_END, GL_FOG_HINT, GL_FOG_MODE, GL_FOG_START, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_GENERATE_MIPMAP, GL_INTERPOLATE, GL_LIGHT_MODEL_AMBIENT, GL_LIGHT_MODEL_TWO_SIDE, GL_MATRIX_INDEX_ARRAY, GL_MATRIX_INDEX_ARRAY_POINTER, GL_MATRIX_INDEX_ARRAY_SIZE, GL_MATRIX_INDEX_ARRAY_STRIDE, GL_MATRIX_INDEX_ARRAY_TYPE, GL_MATRIX_PALETTE, GL_MAX_CLIP_PLANES, GL_MAX_LIGHTS, GL_MAX_MODELVIEW_STACK_DEPTH, GL_MAX_PALETTE_MATRICES, GL_MAX_PROJECTION_STACK_DEPTH, GL_MAX_TEXTURE_STACK_DEPTH, GL_MAX_TEXTURE_UNITS, GL_MAX_VERTEX_UNITS, GL_MODELVIEW_STACK_DEPTH, GL_MODULATE, GL_NORMAL_ARRAY_BUFFER_BINDING, GL_NORMAL_ARRAY_POINTER, GL_NORMAL_ARRAY_STRIDE, GL_NORMAL_ARRAY_TYPE, GL_NORMAL_MAP, GL_OPERAND0_ALPHA, GL_OPERAND0_RGB, GL_OPERAND1_ALPHA, GL_OPERAND1_RGB, GL_OPERAND2_ALPHA, GL_OPERAND2_RGB, GL_PERSPECTIVE_CORRECTION_HINT, GL_POINT_DISTANCE_ATTENUATION, GL_POINT_SIZE_MAX, GL_POINT_SIZE_MIN, GL_POINT_SMOOTH, GL_POINT_SMOOTH_HINT, GL_POINT_SPRITE, GL_PREVIOUS, GL_PRIMARY_COLOR, GL_PROJECTION_STACK_DEPTH, GL_REFLECTION_MAP, GL_RESCALE_NORMAL, GL_RGB_SCALE, GL_SHADE_MODEL, GL_SRC0_ALPHA, GL_SRC0_RGB, GL_SRC1_ALPHA, GL_SRC1_RGB, GL_SRC2_ALPHA, GL_SRC2_RGB, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_SUBTRACT, GL_TEXTURE_COORD_ARRAY_BUFFER_BINDING, GL_TEXTURE_COORD_ARRAY_POINTER, GL_TEXTURE_COORD_ARRAY_SIZE, GL_TEXTURE_COORD_ARRAY_STRIDE, GL_TEXTURE_COORD_ARRAY_TYPE, GL_TEXTURE_ENV, GL_TEXTURE_ENV_COLOR, GL_TEXTURE_ENV_MODE, GL_TEXTURE_GEN_MODE, GL_TEXTURE_GEN_STR, GL_TEXTURE_STACK_DEPTH, GL_VERTEX_ARRAY_BUFFER_BINDING, GL_VERTEX_ARRAY_POINTER, GL_VERTEX_ARRAY_SIZE, GL_VERTEX_ARRAY_STRIDE, GL_VERTEX_ARRAY_TYPE, GL_WEIGHT_ARRAY, GL_WEIGHT_ARRAY_BUFFER_BINDING, GL_WEIGHT_ARRAY_POINTER, GL_WEIGHT_ARRAY_SIZE, GL_WEIGHT_ARRAY_STRIDE, GL_WEIGHT_ARRAY_TYPE`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc

      `GL_MATRIX_MODE, GL_MODELVIEW, GL_MODELVIEW_MATRIX, GL_PROJECTION, GL_PROJECTION_MATRIX, GL_TEXTURE_MATRIX`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc

      `GL_COLOR_ARRAY, GL_NORMAL_ARRAY, GL_TEXTURE_COORD_ARRAY, GL_VERTEX_ARRAY`

    - ### Fields inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc

      `GL_AMBIENT, GL_AMBIENT_AND_DIFFUSE, GL_COLOR_MATERIAL, GL_CONSTANT_ATTENUATION, GL_DIFFUSE, GL_EMISSION, GL_FLAT, GL_LIGHT0, GL_LIGHT1, GL_LIGHT2, GL_LIGHT3, GL_LIGHT4, GL_LIGHT5, GL_LIGHT6, GL_LIGHT7, GL_LIGHTING, GL_LINEAR_ATTENUATION, GL_NORMALIZE, GL_POSITION, GL_QUADRATIC_ATTENUATION, GL_SHININESS, GL_SMOOTH, GL_SPECULAR, GL_SPOT_CUTOFF, GL_SPOT_DIRECTION, GL_SPOT_EXPONENT`

    - ### Fields inherited from interface javax.media.opengl.GL3

      `GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB, GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB, GL_COMPRESSED_RGBA_BPTC_UNORM_ARB, GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB, GL_CONTEXT_COMPATIBILITY_PROFILE_BIT, GL_CONTEXT_CORE_PROFILE_BIT, GL_CONTEXT_PROFILE_MASK, GL_DEPTH_CLAMP, GL_FIRST_VERTEX_CONVENTION, GL_FRAMEBUFFER_ATTACHMENT_LAYERED, GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS, GL_GEOMETRY_INPUT_TYPE, GL_GEOMETRY_OUTPUT_TYPE, GL_GEOMETRY_SHADER, GL_GEOMETRY_VERTICES_OUT, GL_INT_SAMPLER_2D_MULTISAMPLE, GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY, GL_LAST_VERTEX_CONVENTION, GL_LINE_STRIP_ADJACENCY, GL_LINES_ADJACENCY, GL_MAX_COLOR_TEXTURE_SAMPLES, GL_MAX_DEPTH_TEXTURE_SAMPLES, GL_MAX_DUAL_SOURCE_DRAW_BUFFERS, GL_MAX_GEOMETRY_INPUT_COMPONENTS, GL_MAX_GEOMETRY_OUTPUT_COMPONENTS, GL_MAX_GEOMETRY_OUTPUT_VERTICES, GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS, GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS, GL_MAX_GEOMETRY_UNIFORM_COMPONENTS, GL_MAX_INTEGER_SAMPLES, GL_MAX_SAMPLE_MASK_WORDS, GL_ONE_MINUS_SRC1_ALPHA, GL_ONE_MINUS_SRC1_COLOR, GL_PROGRAM_POINT_SIZE, GL_PROVOKING_VERTEX, GL_PROXY_TEXTURE_2D_MULTISAMPLE, GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY, GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION, GL_SAMPLE_MASK, GL_SAMPLE_MASK_VALUE, GL_SAMPLE_POSITION, GL_SAMPLER_2D_MULTISAMPLE, GL_SAMPLER_2D_MULTISAMPLE_ARRAY, GL_SRC1_COLOR, GL_TEXTURE_2D_MULTISAMPLE, GL_TEXTURE_2D_MULTISAMPLE_ARRAY, GL_TEXTURE_BINDING_2D_MULTISAMPLE, GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY, GL_TEXTURE_CUBE_MAP_SEAMLESS, GL_TEXTURE_FIXED_SAMPLE_LOCATIONS, GL_TEXTURE_SAMPLES, GL_TEXTURE_SWIZZLE_RGBA, GL_TIME_ELAPSED, GL_TIMESTAMP, GL_TRIANGLE_STRIP_ADJACENCY, GL_TRIANGLES_ADJACENCY, GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE, GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY`

    - ### Fields inherited from interface javax.media.opengl.GL3ES3

      `GL_ALREADY_SIGNALED, GL_CONDITION_SATISFIED, GL_INT_2_10_10_10_REV, GL_MAX_FRAGMENT_INPUT_COMPONENTS, GL_MAX_SERVER_WAIT_TIMEOUT, GL_MAX_VERTEX_OUTPUT_COMPONENTS, GL_OBJECT_TYPE, GL_RGB10_A2UI, GL_SAMPLER_BINDING, GL_SIGNALED, GL_SYNC_CONDITION, GL_SYNC_FENCE, GL_SYNC_FLAGS, GL_SYNC_FLUSH_COMMANDS_BIT, GL_SYNC_GPU_COMMANDS_COMPLETE, GL_SYNC_STATUS, GL_TEXTURE_SWIZZLE_A, GL_TEXTURE_SWIZZLE_B, GL_TEXTURE_SWIZZLE_G, GL_TEXTURE_SWIZZLE_R, GL_TIMEOUT_EXPIRED, GL_UNSIGNALED, GL_VERTEX_ATTRIB_ARRAY_DIVISOR, GL_WAIT_FAILED`

    - ### Fields inherited from interface javax.media.opengl.GL2GL3

      `GL_BACK_LEFT, GL_BACK_RIGHT, GL_BGR, GL_BGR_INTEGER, GL_BGRA_INTEGER, GL_BLUE_INTEGER, GL_BUFFER_GPU_ADDRESS_NV, GL_CLAMP_READ_COLOR, GL_CLAMP_TO_BORDER, GL_CLIP_DISTANCE0, GL_CLIP_DISTANCE1, GL_CLIP_DISTANCE2, GL_CLIP_DISTANCE3, GL_CLIP_DISTANCE4, GL_CLIP_DISTANCE5, GL_CLIP_DISTANCE6, GL_CLIP_DISTANCE7, GL_COLOR_ARRAY_ADDRESS_NV, GL_COLOR_ARRAY_LENGTH_NV, GL_COMPRESSED_RED, GL_COMPRESSED_RED_RGTC1, GL_COMPRESSED_RG, GL_COMPRESSED_RG_RGTC2, GL_COMPRESSED_RGB, GL_COMPRESSED_RGBA, GL_COMPRESSED_SIGNED_RED_RGTC1, GL_COMPRESSED_SIGNED_RG_RGTC2, GL_COMPRESSED_SRGB, GL_COMPRESSED_SRGB_ALPHA, GL_COMPUTE_SHADER_BIT, GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT, GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT, GL_CONTEXT_FLAGS, GL_CONTINUOUS_AMD, GL_DEBUG_CATEGORY_API_ERROR_AMD, GL_DEBUG_CATEGORY_APPLICATION_AMD, GL_DEBUG_CATEGORY_DEPRECATION_AMD, GL_DEBUG_CATEGORY_OTHER_AMD, GL_DEBUG_CATEGORY_PERFORMANCE_AMD, GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD, GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD, GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD, GL_DEBUG_LOGGED_MESSAGES_AMD, GL_DEBUG_SEVERITY_HIGH_AMD, GL_DEBUG_SEVERITY_LOW_AMD, GL_DEBUG_SEVERITY_MEDIUM_AMD, GL_DECODE_EXT, GL_DEPTH_CLAMP_FAR_AMD, GL_DEPTH_CLAMP_NEAR_AMD, GL_DISCRETE_AMD, GL_DOUBLE, GL_DOUBLEBUFFER, GL_DRAW_BUFFER, GL_DRAW_INDIRECT_ADDRESS_NV, GL_DRAW_INDIRECT_LENGTH_NV, GL_DRAW_INDIRECT_UNIFIED_NV, GL_EDGE_FLAG_ARRAY_ADDRESS_NV, GL_EDGE_FLAG_ARRAY_LENGTH_NV, GL_ELEMENT_ARRAY_ADDRESS_NV, GL_ELEMENT_ARRAY_LENGTH_NV, GL_ELEMENT_ARRAY_UNIFIED_NV, GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD, GL_FACTOR_MAX_AMD, GL_FACTOR_MIN_AMD, GL_FILL, GL_FIXED_ONLY, GL_FOG_COORD_ARRAY_ADDRESS_NV, GL_FOG_COORD_ARRAY_LENGTH_NV, GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB, GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER, GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB, GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB, GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER, GL_FRAMEBUFFER_SRGB, GL_FRONT_LEFT, GL_FRONT_RIGHT, GL_GEOMETRY_INPUT_TYPE_ARB, GL_GEOMETRY_OUTPUT_TYPE_ARB, GL_GEOMETRY_SHADER_ARB, GL_GEOMETRY_VERTICES_OUT_ARB, GL_GPU_ADDRESS_NV, GL_GREEN_INTEGER, GL_INDEX_ARRAY_ADDRESS_NV, GL_INDEX_ARRAY_LENGTH_NV, GL_INT_SAMPLER_1D, GL_INT_SAMPLER_1D_ARRAY, GL_INT_SAMPLER_2D_RECT, GL_INT_SAMPLER_BUFFER, GL_INT_SAMPLER_BUFFER_AMD, GL_LEFT, GL_LINE, GL_LINE_STRIP_ADJACENCY_ARB, GL_LINE_WIDTH_GRANULARITY, GL_LINE_WIDTH_RANGE, GL_LINES_ADJACENCY_ARB, GL_LOWER_LEFT, GL_MAX_CLIP_DISTANCES, GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS, GL_MAX_DEBUG_LOGGED_MESSAGES_AMD, GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB, GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB, GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB, GL_MAX_GEOMETRY_UNIFORM_BLOCKS, GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB, GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB, GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS, GL_MAX_RECTANGLE_TEXTURE_SIZE, GL_MAX_SHADER_BUFFER_ADDRESS_NV, GL_MAX_TEXTURE_BUFFER_SIZE, GL_MAX_VARYING_FLOATS, GL_MAX_VERTEX_VARYING_COMPONENTS_ARB, GL_NAMED_STRING_LENGTH_ARB, GL_NAMED_STRING_TYPE_ARB, GL_NORMAL_ARRAY_ADDRESS_NV, GL_NORMAL_ARRAY_LENGTH_NV, GL_PACK_IMAGE_HEIGHT, GL_PACK_LSB_FIRST, GL_PACK_SKIP_IMAGES, GL_PACK_SWAP_BYTES, GL_POINT, GL_POINT_SIZE_GRANULARITY, GL_POINT_SIZE_RANGE, GL_POINT_SPRITE_COORD_ORIGIN, GL_POLYGON_MODE, GL_POLYGON_OFFSET_LINE, GL_POLYGON_OFFSET_POINT, GL_POLYGON_SMOOTH, GL_POLYGON_SMOOTH_HINT, GL_PRIMITIVE_RESTART, GL_PRIMITIVE_RESTART_INDEX, GL_PRIMITIVES_GENERATED, GL_PROGRAM_POINT_SIZE_ARB, GL_PROXY_TEXTURE_1D, GL_PROXY_TEXTURE_1D_ARRAY, GL_PROXY_TEXTURE_2D, GL_PROXY_TEXTURE_2D_ARRAY, GL_PROXY_TEXTURE_3D, GL_PROXY_TEXTURE_CUBE_MAP, GL_PROXY_TEXTURE_RECTANGLE, GL_QUADS, GL_QUERY_BY_REGION_NO_WAIT, GL_QUERY_BY_REGION_WAIT, GL_QUERY_COUNTER_BITS, GL_QUERY_NO_WAIT, GL_QUERY_WAIT, GL_R16, GL_R16_SNORM, GL_R3_G3_B2, GL_READ_ONLY, GL_READ_WRITE, GL_RED_SNORM, GL_REPLACE_VALUE_AMD, GL_RG_SNORM, GL_RG16, GL_RG16_SNORM, GL_RGB_SNORM, GL_RGB12, GL_RGB16, GL_RGB16_SNORM, GL_RGB4, GL_RGB5, GL_RGBA_SNORM, GL_RGBA12, GL_RGBA16, GL_RGBA16_SNORM, GL_RGBA2, GL_RIGHT, GL_SAMPLER_1D, GL_SAMPLER_1D_ARRAY, GL_SAMPLER_1D_ARRAY_SHADOW, GL_SAMPLER_1D_SHADOW, GL_SAMPLER_2D_RECT, GL_SAMPLER_2D_RECT_SHADOW, GL_SAMPLER_BUFFER, GL_SAMPLER_BUFFER_AMD, GL_SAMPLES_PASSED, GL_SCALED_RESOLVE_FASTEST_EXT, GL_SCALED_RESOLVE_NICEST_EXT, GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV, GL_SECONDARY_COLOR_ARRAY_LENGTH_NV, GL_SET_AMD, GL_SHADER_INCLUDE_ARB, GL_SKIP_DECODE_EXT, GL_SMOOTH_LINE_WIDTH_GRANULARITY, GL_SMOOTH_POINT_SIZE_GRANULARITY, GL_SRC1_ALPHA, GL_SRGB_DECODE_ARB, GL_STENCIL_BACK_OP_VALUE_AMD, GL_STENCIL_INDEX16, GL_STENCIL_OP_VALUE_AMD, GL_STEREO, GL_SUBSAMPLE_DISTANCE_AMD, GL_SYNC_CL_EVENT_ARB, GL_SYNC_CL_EVENT_COMPLETE_ARB, GL_SYNC_X11_FENCE_EXT, GL_TESSELLATION_FACTOR_AMD, GL_TESSELLATION_MODE_AMD, GL_TEXTURE_1D, GL_TEXTURE_1D_ARRAY, GL_TEXTURE_ALPHA_SIZE, GL_TEXTURE_ALPHA_TYPE, GL_TEXTURE_BINDING_1D, GL_TEXTURE_BINDING_1D_ARRAY, GL_TEXTURE_BINDING_BUFFER, GL_TEXTURE_BINDING_RECTANGLE, GL_TEXTURE_BLUE_SIZE, GL_TEXTURE_BLUE_TYPE, GL_TEXTURE_BORDER_COLOR, GL_TEXTURE_BUFFER, GL_TEXTURE_BUFFER_DATA_STORE_BINDING, GL_TEXTURE_COLOR_SAMPLES_NV, GL_TEXTURE_COMPRESSED, GL_TEXTURE_COMPRESSED_IMAGE_SIZE, GL_TEXTURE_COMPRESSION_HINT, GL_TEXTURE_COORD_ARRAY_ADDRESS_NV, GL_TEXTURE_COORD_ARRAY_LENGTH_NV, GL_TEXTURE_COVERAGE_SAMPLES_NV, GL_TEXTURE_DEPTH, GL_TEXTURE_DEPTH_SIZE, GL_TEXTURE_DEPTH_TYPE, GL_TEXTURE_GREEN_SIZE, GL_TEXTURE_GREEN_TYPE, GL_TEXTURE_HEIGHT, GL_TEXTURE_INTERNAL_FORMAT, GL_TEXTURE_LOD_BIAS, GL_TEXTURE_RECTANGLE, GL_TEXTURE_RED_SIZE, GL_TEXTURE_RED_TYPE, GL_TEXTURE_SHARED_SIZE, GL_TEXTURE_SRGB_DECODE_EXT, GL_TEXTURE_STENCIL_SIZE, GL_TEXTURE_WIDTH, GL_TRIANGLE_STRIP_ADJACENCY_ARB, GL_TRIANGLES_ADJACENCY_ARB, GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER, GL_UNPACK_LSB_FIRST, GL_UNPACK_SWAP_BYTES, GL_UNSIGNED_BYTE_2_3_3_REV, GL_UNSIGNED_BYTE_3_3_2, GL_UNSIGNED_INT_8_8_8_8, GL_UNSIGNED_INT_8_8_8_8_REV, GL_UNSIGNED_INT_SAMPLER_1D, GL_UNSIGNED_INT_SAMPLER_1D_ARRAY, GL_UNSIGNED_INT_SAMPLER_2D_RECT, GL_UNSIGNED_INT_SAMPLER_BUFFER, GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD, GL_UNSIGNED_SHORT_1_5_5_5_REV, GL_UNSIGNED_SHORT_4_4_4_4_REV, GL_UNSIGNED_SHORT_5_6_5_REV, GL_UPPER_LEFT, GL_VERTEX_ARRAY_ADDRESS_NV, GL_VERTEX_ARRAY_LENGTH_NV, GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV, GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV, GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV, GL_VERTEX_PROGRAM_POINT_SIZE`

    - ### Fields inherited from interface javax.media.opengl.GL2ES3

      `GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH, GL_ACTIVE_UNIFORM_BLOCKS, GL_ALL_BARRIER_BITS, GL_BLUE, GL_BUFFER_ACCESS_FLAGS, GL_BUFFER_MAP_LENGTH, GL_BUFFER_MAP_OFFSET, GL_COLOR, GL_COMPRESSED_RGBA_ASTC_10x10_KHR, GL_COMPRESSED_RGBA_ASTC_10x5_KHR, GL_COMPRESSED_RGBA_ASTC_10x6_KHR, GL_COMPRESSED_RGBA_ASTC_10x8_KHR, GL_COMPRESSED_RGBA_ASTC_12x10_KHR, GL_COMPRESSED_RGBA_ASTC_12x12_KHR, GL_COMPRESSED_RGBA_ASTC_4x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x5_KHR, GL_COMPRESSED_RGBA_ASTC_8x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR, GL_COPY_READ_BUFFER, GL_COPY_READ_BUFFER_BINDING, GL_COPY_WRITE_BUFFER, GL_COPY_WRITE_BUFFER_BINDING, GL_DEPTH, GL_DEPTH_COMPONENT32F, GL_DEPTH_STENCIL_ATTACHMENT, GL_DEPTH32F_STENCIL8, GL_DRAW_FRAMEBUFFER, GL_DRAW_FRAMEBUFFER_BINDING, GL_DYNAMIC_COPY, GL_DYNAMIC_READ, GL_FLOAT_32_UNSIGNED_INT_24_8_REV, GL_FLOAT_MAT2x3, GL_FLOAT_MAT2x4, GL_FLOAT_MAT3x2, GL_FLOAT_MAT3x4, GL_FLOAT_MAT4x2, GL_FLOAT_MAT4x3, GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE, GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE, GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE, GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE, GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE, GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE, GL_FRAMEBUFFER_DEFAULT, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE, GL_FRAMEBUFFER_UNDEFINED, GL_GREEN, GL_INT_SAMPLER_2D, GL_INT_SAMPLER_2D_ARRAY, GL_INT_SAMPLER_3D, GL_INT_SAMPLER_CUBE, GL_INTERLEAVED_ATTRIBS, GL_INVALID_INDEX, GL_MAJOR_VERSION, GL_MAX, GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_COMBINED_UNIFORM_BLOCKS, GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS, GL_MAX_ELEMENTS_INDICES, GL_MAX_ELEMENTS_VERTICES, GL_MAX_FRAGMENT_UNIFORM_BLOCKS, GL_MAX_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_PROGRAM_TEXEL_OFFSET, GL_MAX_SAMPLES, GL_MAX_TEXTURE_LOD_BIAS, GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS, GL_MAX_UNIFORM_BLOCK_SIZE, GL_MAX_UNIFORM_BUFFER_BINDINGS, GL_MAX_VARYING_COMPONENTS, GL_MAX_VERTEX_UNIFORM_BLOCKS, GL_MAX_VERTEX_UNIFORM_COMPONENTS, GL_MIN, GL_MIN_PROGRAM_TEXEL_OFFSET, GL_MINOR_VERSION, GL_NUM_EXTENSIONS, GL_PACK_ROW_LENGTH, GL_PACK_SKIP_PIXELS, GL_PACK_SKIP_ROWS, GL_PIXEL_PACK_BUFFER, GL_PIXEL_PACK_BUFFER_BINDING, GL_PIXEL_UNPACK_BUFFER, GL_PIXEL_UNPACK_BUFFER_BINDING, GL_R16I, GL_R16UI, GL_R32I, GL_R32UI, GL_R8_SNORM, GL_R8I, GL_R8UI, GL_RASTERIZER_DISCARD, GL_READ_BUFFER, GL_READ_FRAMEBUFFER, GL_READ_FRAMEBUFFER_BINDING, GL_RED_INTEGER, GL_RENDERBUFFER_SAMPLES, GL_RG_INTEGER, GL_RG16I, GL_RG16UI, GL_RG32I, GL_RG32UI, GL_RG8_SNORM, GL_RG8I, GL_RG8UI, GL_RGB_INTEGER, GL_RGB16I, GL_RGB16UI, GL_RGB32I, GL_RGB32UI, GL_RGB8_SNORM, GL_RGB8I, GL_RGB8UI, GL_RGB9_E5, GL_RGBA_INTEGER, GL_RGBA16I, GL_RGBA16UI, GL_RGBA32I, GL_RGBA32UI, GL_RGBA8_SNORM, GL_RGBA8I, GL_RGBA8UI, GL_SAMPLER_2D_ARRAY_SHADOW, GL_SAMPLER_CUBE_SHADOW, GL_SEPARATE_ATTRIBS, GL_SIGNED_NORMALIZED, GL_SRGB8, GL_STATIC_COPY, GL_STATIC_READ, GL_STENCIL, GL_STREAM_COPY, GL_STREAM_READ, GL_TEXTURE_BASE_LEVEL, GL_TEXTURE_MAX_LEVEL, GL_TEXTURE_MAX_LOD, GL_TEXTURE_MIN_LOD, GL_TIMEOUT_IGNORED, GL_TRANSFORM_FEEDBACK_ACTIVE, GL_TRANSFORM_FEEDBACK_BUFFER, GL_TRANSFORM_FEEDBACK_BUFFER_BINDING, GL_TRANSFORM_FEEDBACK_BUFFER_MODE, GL_TRANSFORM_FEEDBACK_BUFFER_SIZE, GL_TRANSFORM_FEEDBACK_BUFFER_START, GL_TRANSFORM_FEEDBACK_PAUSED, GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN, GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH, GL_TRANSFORM_FEEDBACK_VARYINGS, GL_UNIFORM_ARRAY_STRIDE, GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES, GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS, GL_UNIFORM_BLOCK_BINDING, GL_UNIFORM_BLOCK_DATA_SIZE, GL_UNIFORM_BLOCK_INDEX, GL_UNIFORM_BLOCK_NAME_LENGTH, GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER, GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER, GL_UNIFORM_BUFFER, GL_UNIFORM_BUFFER_BINDING, GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT, GL_UNIFORM_BUFFER_SIZE, GL_UNIFORM_BUFFER_START, GL_UNIFORM_IS_ROW_MAJOR, GL_UNIFORM_MATRIX_STRIDE, GL_UNIFORM_NAME_LENGTH, GL_UNIFORM_OFFSET, GL_UNIFORM_SIZE, GL_UNIFORM_TYPE, GL_UNPACK_IMAGE_HEIGHT, GL_UNPACK_SKIP_IMAGES, GL_UNSIGNED_INT_5_9_9_9_REV, GL_UNSIGNED_INT_SAMPLER_2D, GL_UNSIGNED_INT_SAMPLER_2D_ARRAY, GL_UNSIGNED_INT_SAMPLER_3D, GL_UNSIGNED_INT_SAMPLER_CUBE, GL_UNSIGNED_INT_VEC2, GL_UNSIGNED_INT_VEC3, GL_UNSIGNED_INT_VEC4, GL_VERTEX_ARRAY_BINDING, GL_VERTEX_ATTRIB_ARRAY_INTEGER`

    - ### Fields inherited from interface javax.media.opengl.GL2ES2

      `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_PROGRAM, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ALL_SHADER_BITS, GL_ANY_SAMPLES_PASSED, GL_ANY_SAMPLES_PASSED_CONSERVATIVE, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_BUFFER, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COMPARE_REF_TO_TEXTURE, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CONTEXT_FLAG_DEBUG_BIT, GL_CURRENT_PROGRAM, GL_CURRENT_QUERY, GL_CURRENT_VERTEX_ATTRIB, GL_DEBUG_CALLBACK_FUNCTION, GL_DEBUG_CALLBACK_USER_PARAM, GL_DEBUG_GROUP_STACK_DEPTH, GL_DEBUG_LOGGED_MESSAGES, GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH, GL_DEBUG_OUTPUT, GL_DEBUG_OUTPUT_SYNCHRONOUS, GL_DEBUG_SEVERITY_HIGH, GL_DEBUG_SEVERITY_LOW, GL_DEBUG_SEVERITY_MEDIUM, GL_DEBUG_SEVERITY_NOTIFICATION, GL_DEBUG_SOURCE_API, GL_DEBUG_SOURCE_APPLICATION, GL_DEBUG_SOURCE_OTHER, GL_DEBUG_SOURCE_SHADER_COMPILER, GL_DEBUG_SOURCE_THIRD_PARTY, GL_DEBUG_SOURCE_WINDOW_SYSTEM, GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR, GL_DEBUG_TYPE_ERROR, GL_DEBUG_TYPE_MARKER, GL_DEBUG_TYPE_OTHER, GL_DEBUG_TYPE_PERFORMANCE, GL_DEBUG_TYPE_POP_GROUP, GL_DEBUG_TYPE_PORTABILITY, GL_DEBUG_TYPE_PUSH_GROUP, GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_BIT, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_10_10_10_2, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_DEBUG_GROUP_STACK_DEPTH, GL_MAX_DEBUG_LOGGED_MESSAGES, GL_MAX_DEBUG_MESSAGE_LENGTH, GL_MAX_DRAW_BUFFERS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_LABEL_LENGTH, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_PROGRAM_BINARY_FORMATS, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PROGRAM, GL_PROGRAM_BINARY_FORMATS, GL_PROGRAM_BINARY_LENGTH, GL_PROGRAM_PIPELINE_BINDING, GL_PROGRAM_SEPARABLE, GL_QUERY, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_R16F, GL_R32F, GL_R8, GL_RED, GL_RG, GL_RG16F, GL_RG32F, GL_RG8, GL_SAMPLER, GL_SAMPLER_2D, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_CUBE, GL_SHADER, GL_SHADER_BINARY_DMP, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_TEXTURE_3D, GL_TEXTURE_BINDING_3D, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_WRAP_R, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_NORMALIZED, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER, GL_VERTEX_SHADER_BIT`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glDrawElementsBaseVertex(int mode, int count, int type, Buffer indices, int basevertex)` Entry point to C language function: `void glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
    `void` | `glDrawElementsInstancedBaseVertex(int mode, int count, int type, Buffer indices, int instancecount, int basevertex)` Entry point to C language function: `void glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei instancecount, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
    `void` | `glDrawRangeElementsBaseVertex(int mode, int start, int end, int count, int type, Buffer indices, int basevertex)` Entry point to C language function: `void glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices, GLint basevertex);` Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
    `void` | `glGetUniformi64vNV(int program, int location, long[] params, int params_offset)` Entry point to C language function: `void glGetUniformi64vNV(GLuint program, GLint location, GLint64EXT * params)` Part of `GL_NV_gpu_shader5`
    `void` | `glGetUniformi64vNV(int program, int location, LongBuffer params)` Entry point to C language function: `void glGetUniformi64vNV(GLuint program, GLint location, GLint64EXT * params)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform1i64NV(int program, int location, long x)` Entry point to C language function: `void glProgramUniform1i64NV(GLuint program, GLint location, GLint64EXT x)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform1i64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniform1i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform1i64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniform1i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform1ui64NV(int program, int location, long x)` Entry point to C language function: `void glProgramUniform1ui64NV(GLuint program, GLint location, GLuint64EXT x)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform1ui64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniform1ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform1ui64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniform1ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform2i64NV(int program, int location, long x, long y)` Entry point to C language function: `void glProgramUniform2i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform2i64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniform2i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform2i64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniform2i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform2ui64NV(int program, int location, long x, long y)` Entry point to C language function: `void glProgramUniform2ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform2ui64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniform2ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform2ui64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniform2ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform3i64NV(int program, int location, long x, long y, long z)` Entry point to C language function: `void glProgramUniform3i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform3i64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniform3i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform3i64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniform3i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform3ui64NV(int program, int location, long x, long y, long z)` Entry point to C language function: `void glProgramUniform3ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform3ui64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniform3ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform3ui64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniform3ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform4i64NV(int program, int location, long x, long y, long z, long w)` Entry point to C language function: `void glProgramUniform4i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform4i64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniform4i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform4i64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniform4i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform4ui64NV(int program, int location, long x, long y, long z, long w)` Entry point to C language function: `void glProgramUniform4ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform4ui64vNV(int program, int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glProgramUniform4ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glProgramUniform4ui64vNV(int program, int location, int count, LongBuffer value)` Entry point to C language function: `void glProgramUniform4ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform1i64NV(int location, long x)` Entry point to C language function: `void glUniform1i64NV(GLint location, GLint64EXT x)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform1i64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniform1i64vNV(GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform1i64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniform1i64vNV(GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform1ui64NV(int location, long x)` Entry point to C language function: `void glUniform1ui64NV(GLint location, GLuint64EXT x)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform1ui64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniform1ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform1ui64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniform1ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform2i64NV(int location, long x, long y)` Entry point to C language function: `void glUniform2i64NV(GLint location, GLint64EXT x, GLint64EXT y)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform2i64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniform2i64vNV(GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform2i64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniform2i64vNV(GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform2ui64NV(int location, long x, long y)` Entry point to C language function: `void glUniform2ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform2ui64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniform2ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform2ui64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniform2ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform3i64NV(int location, long x, long y, long z)` Entry point to C language function: `void glUniform3i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform3i64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniform3i64vNV(GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform3i64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniform3i64vNV(GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform3ui64NV(int location, long x, long y, long z)` Entry point to C language function: `void glUniform3ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform3ui64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniform3ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform3ui64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniform3ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform4i64NV(int location, long x, long y, long z, long w)` Entry point to C language function: `void glUniform4i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform4i64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniform4i64vNV(GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform4i64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniform4i64vNV(GLint location, GLsizei count, const GLint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform4ui64NV(int location, long x, long y, long z, long w)` Entry point to C language function: `void glUniform4ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform4ui64vNV(int location, int count, long[] value, int value_offset)` Entry point to C language function: `void glUniform4ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`
    `void` | `glUniform4ui64vNV(int location, int count, LongBuffer value)` Entry point to C language function: `void glUniform4ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)` Part of `GL_NV_gpu_shader5`

    - ### Methods inherited from interface javax.media.opengl.GL2

      `glAccum, glActiveStencilFaceEXT, glAllocateMemoryNV, glApplyTextureEXT, glAreTexturesResident, glAreTexturesResident, glArrayElement, glAttachObjectARB, glBegin, glBeginConditionalRenderNVX, glBeginOcclusionQueryNV, glBeginPerfMonitorAMD, glBeginVertexShaderEXT, glBeginVideoCaptureNV, glBindLightParameterEXT, glBindMaterialParameterEXT, glBindMultiTextureEXT, glBindParameterEXT, glBindProgramARB, glBindTexGenParameterEXT, glBindTextureUnitParameterEXT, glBindTransformFeedbackNV, glBindVertexShaderEXT, glBindVideoCaptureStreamBufferNV, glBindVideoCaptureStreamTextureNV, glBitmap, glBitmap, glBitmap, glBlendEquationIndexedAMD, glBlendEquationSeparateIndexedAMD, glBlendFuncIndexedAMD, glBlendFuncSeparateIndexedAMD, glBlendFuncSeparateINGR, glBufferParameteri, glCallList, glCallLists, glCheckNamedFramebufferStatusEXT, glClearAccum, glClearColorIi, glClearColorIui, glClearIndex, glClientAttribDefaultEXT, glClipPlane, glClipPlane, glClipPlanef, glClipPlanef, glColor3b, glColor3bv, glColor3bv, glColor3d, glColor3dv, glColor3dv, glColor3f, glColor3fv, glColor3fv, glColor3h, glColor3hv, glColor3hv, glColor3i, glColor3iv, glColor3iv, glColor3s, glColor3sv, glColor3sv, glColor3ub, glColor3ubv, glColor3ubv, glColor3ui, glColor3uiv, glColor3uiv, glColor3us, glColor3usv, glColor3usv, glColor4b, glColor4bv, glColor4bv, glColor4d, glColor4dv, glColor4dv, glColor4fv, glColor4fv, glColor4h, glColor4hv, glColor4hv, glColor4i, glColor4iv, glColor4iv, glColor4s, glColor4sv, glColor4sv, glColor4ubv, glColor4ubv, glColor4ui, glColor4uiv, glColor4uiv, glColor4us, glColor4usv, glColor4usv, glColorMaskIndexed, glColorMaterial, glColorSubTable, glColorSubTable, glColorTable, glColorTable, glColorTableParameterfv, glColorTableParameterfv, glColorTableParameteriv, glColorTableParameteriv, glCompileShaderARB, glCompressedMultiTexImage1DEXT, glCompressedMultiTexImage2DEXT, glCompressedMultiTexImage3DEXT, glCompressedMultiTexSubImage1DEXT, glCompressedMultiTexSubImage2DEXT, glCompressedMultiTexSubImage3DEXT, glCompressedTextureImage1DEXT, glCompressedTextureImage2DEXT, glCompressedTextureImage3DEXT, glCompressedTextureSubImage1DEXT, glCompressedTextureSubImage2DEXT, glCompressedTextureSubImage3DEXT, glConvolutionFilter1D, glConvolutionFilter1D, glConvolutionFilter2D, glConvolutionFilter2D, glConvolutionParameterf, glConvolutionParameterfv, glConvolutionParameterfv, glConvolutionParameteri, glConvolutionParameteriv, glConvolutionParameteriv, glCopyColorSubTable, glCopyColorTable, glCopyConvolutionFilter1D, glCopyConvolutionFilter2D, glCopyImageSubDataNV, glCopyMultiTexImage1DEXT, glCopyMultiTexImage2DEXT, glCopyMultiTexSubImage1DEXT, glCopyMultiTexSubImage2DEXT, glCopyMultiTexSubImage3DEXT, glCopyPathNV, glCopyPixels, glCopyTextureImage1DEXT, glCopyTextureImage2DEXT, glCopyTextureSubImage1DEXT, glCopyTextureSubImage2DEXT, glCopyTextureSubImage3DEXT, glCoverFillPathInstancedNV, glCoverFillPathInstancedNV, glCoverFillPathNV, glCoverStrokePathInstancedNV, glCoverStrokePathInstancedNV, glCoverStrokePathNV, glCreateProgramObjectARB, glCreateShaderObjectARB, glCullParameterdvEXT, glCullParameterdvEXT, glCullParameterfvEXT, glCullParameterfvEXT, glCurrentPaletteMatrix, glDeleteFencesAPPLE, glDeleteFencesAPPLE, glDeleteFencesNV, glDeleteFencesNV, glDeleteLists, glDeleteNamesAMD, glDeleteNamesAMD, glDeleteObjectARB, glDeleteOcclusionQueriesNV, glDeleteOcclusionQueriesNV, glDeletePathsNV, glDeletePerfMonitorsAMD, glDeletePerfMonitorsAMD, glDeleteProgramsARB, glDeleteProgramsARB, glDeleteTransformFeedbacksNV, glDeleteTransformFeedbacksNV, glDeleteVertexShaderEXT, glDepthBoundsEXT, glDetachObjectARB, glDisableClientStateiEXT, glDisableClientStateIndexedEXT, glDisableIndexed, glDisableVariantClientStateEXT, glDisableVertexArrayAttribEXT, glDisableVertexArrayEXT, glDisableVertexAttribAPPLE, glDisableVertexAttribArrayARB, glDrawBuffersATI, glDrawBuffersATI, glDrawElementsInstanced, glDrawPixels, glDrawPixels, glDrawRangeElements, glDrawTextureNV, glDrawTransformFeedbackNV, glEdgeFlag, glEdgeFlagPointer, glEdgeFlagPointer, glEdgeFlagv, glEdgeFlagv, glEnableClientStateiEXT, glEnableClientStateIndexedEXT, glEnableIndexed, glEnableVariantClientStateEXT, glEnableVertexArrayAttribEXT, glEnableVertexArrayEXT, glEnableVertexAttribAPPLE, glEnableVertexAttribArrayARB, glEnd, glEndConditionalRenderNVX, glEndList, glEndOcclusionQueryNV, glEndPerfMonitorAMD, glEndVertexShaderEXT, glEndVideoCaptureNV, glEvalCoord1d, glEvalCoord1dv, glEvalCoord1dv, glEvalCoord1f, glEvalCoord1fv, glEvalCoord1fv, glEvalCoord2d, glEvalCoord2dv, glEvalCoord2dv, glEvalCoord2f, glEvalCoord2fv, glEvalCoord2fv, glEvalMapsNV, glEvalMesh1, glEvalMesh2, glEvalPoint1, glEvalPoint2, glExtractComponentEXT, glFeedbackBuffer, glFinishFenceAPPLE, glFinishFenceNV, glFinishObjectAPPLE, glFinishTextureSUNX, glFlushMappedNamedBufferRangeEXT, glFlushPixelDataRangeNV, glFlushVertexArrayRangeAPPLE, glFlushVertexArrayRangeNV, glFogCoordd, glFogCoorddv, glFogCoorddv, glFogCoordf, glFogCoordfv, glFogCoordfv, glFogCoordh, glFogCoordhv, glFogCoordhv, glFogCoordPointer, glFogCoordPointer, glFogi, glFogiv, glFogiv, glFramebufferDrawBufferEXT, glFramebufferDrawBuffersEXT, glFramebufferDrawBuffersEXT, glFramebufferReadBufferEXT, glFramebufferTextureEXT, glFramebufferTextureFaceEXT, glFramebufferTextureLayerEXT, glFrameTerminatorGREMEDY, glFreeMemoryNV, glGenerateMultiTexMipmapEXT, glGenerateTextureMipmapEXT, glGenFencesAPPLE, glGenFencesAPPLE, glGenFencesNV, glGenFencesNV, glGenLists, glGenNamesAMD, glGenNamesAMD, glGenOcclusionQueriesNV, glGenOcclusionQueriesNV, glGenPathsNV, glGenPerfMonitorsAMD, glGenPerfMonitorsAMD, glGenProgramsARB, glGenProgramsARB, glGenSymbolsEXT, glGenTransformFeedbacksNV, glGenTransformFeedbacksNV, glGenVertexShadersEXT, glGetActiveUniformARB, glGetActiveUniformARB, glGetAttachedObjectsARB, glGetAttachedObjectsARB, glGetBooleanIndexedv, glGetBooleanIndexedv, glGetClipPlane, glGetClipPlane, glGetClipPlanef, glGetClipPlanef, glGetColorTable, glGetColorTable, glGetColorTableParameterfv, glGetColorTableParameterfv, glGetColorTableParameteriv, glGetColorTableParameteriv, glGetCompressedMultiTexImageEXT, glGetCompressedTextureImageEXT, glGetConvolutionFilter, glGetConvolutionFilter, glGetConvolutionParameterfv, glGetConvolutionParameterfv, glGetConvolutionParameteriv, glGetConvolutionParameteriv, glGetDoublei_vEXT, glGetDoublei_vEXT, glGetDoubleIndexedvEXT, glGetDoubleIndexedvEXT, glGetFenceivNV, glGetFenceivNV, glGetFloati_vEXT, glGetFloati_vEXT, glGetFloatIndexedvEXT, glGetFloatIndexedvEXT, glGetFramebufferParameterivEXT, glGetFramebufferParameterivEXT, glGetHandleARB, glGetHistogram, glGetHistogram, glGetHistogramParameterfv, glGetHistogramParameterfv, glGetHistogramParameteriv, glGetHistogramParameteriv, glGetImageHandleNV, glGetInfoLogARB, glGetInfoLogARB, glGetIntegerIndexedv, glGetIntegerIndexedv, glGetInvariantBooleanvEXT, glGetInvariantBooleanvEXT, glGetInvariantFloatvEXT, glGetInvariantFloatvEXT, glGetInvariantIntegervEXT, glGetInvariantIntegervEXT, glGetLightiv, glGetLightiv, glGetLocalConstantBooleanvEXT, glGetLocalConstantBooleanvEXT, glGetLocalConstantFloatvEXT, glGetLocalConstantFloatvEXT, glGetLocalConstantIntegervEXT, glGetLocalConstantIntegervEXT, glGetMapAttribParameterfvNV, glGetMapAttribParameterfvNV, glGetMapAttribParameterivNV, glGetMapAttribParameterivNV, glGetMapControlPointsNV, glGetMapdv, glGetMapdv, glGetMapfv, glGetMapfv, glGetMapiv, glGetMapiv, glGetMapParameterfvNV, glGetMapParameterfvNV, glGetMapParameterivNV, glGetMapParameterivNV, glGetMaterialiv, glGetMaterialiv, glGetMinmax, glGetMinmax, glGetMinmaxParameterfv, glGetMinmaxParameterfv, glGetMinmaxParameteriv, glGetMinmaxParameteriv, glGetMultisamplefvNV, glGetMultisamplefvNV, glGetMultiTexEnvfvEXT, glGetMultiTexEnvfvEXT, glGetMultiTexEnvivEXT, glGetMultiTexEnvivEXT, glGetMultiTexGendvEXT, glGetMultiTexGendvEXT, glGetMultiTexGenfvEXT, glGetMultiTexGenfvEXT, glGetMultiTexGenivEXT, glGetMultiTexGenivEXT, glGetMultiTexImageEXT, glGetMultiTexLevelParameterfvEXT, glGetMultiTexLevelParameterfvEXT, glGetMultiTexLevelParameterivEXT, glGetMultiTexLevelParameterivEXT, glGetMultiTexParameterfvEXT, glGetMultiTexParameterfvEXT, glGetMultiTexParameterIivEXT, glGetMultiTexParameterIivEXT, glGetMultiTexParameterIuivEXT, glGetMultiTexParameterIuivEXT, glGetMultiTexParameterivEXT, glGetMultiTexParameterivEXT, glGetNamedBufferParameterivEXT, glGetNamedBufferParameterivEXT, glGetNamedBufferSubDataEXT, glGetNamedFramebufferAttachmentParameterivEXT, glGetNamedFramebufferAttachmentParameterivEXT, glGetNamedProgramivEXT, glGetNamedProgramivEXT, glGetNamedProgramLocalParameterdvEXT, glGetNamedProgramLocalParameterdvEXT, glGetNamedProgramLocalParameterfvEXT, glGetNamedProgramLocalParameterfvEXT, glGetNamedProgramLocalParameterIivEXT, glGetNamedProgramLocalParameterIivEXT, glGetNamedProgramLocalParameterIuivEXT, glGetNamedProgramLocalParameterIuivEXT, glGetNamedProgramStringEXT, glGetNamedRenderbufferParameterivEXT, glGetNamedRenderbufferParameterivEXT, glGetnColorTable, glGetnConvolutionFilter, glGetnHistogram, glGetnMapdv, glGetnMapdv, glGetnMapfv, glGetnMapfv, glGetnMapiv, glGetnMapiv, glGetnMinmax, glGetnPixelMapfv, glGetnPixelMapfv, glGetnPixelMapuiv, glGetnPixelMapuiv, glGetnPixelMapusv, glGetnPixelMapusv, glGetnPolygonStipple, glGetnPolygonStipple, glGetnSeparableFilter, glGetObjectParameterfvARB, glGetObjectParameterfvARB, glGetObjectParameterivAPPLE, glGetObjectParameterivAPPLE, glGetObjectParameterivARB, glGetObjectParameterivARB, glGetOcclusionQueryivNV, glGetOcclusionQueryivNV, glGetOcclusionQueryuivNV, glGetOcclusionQueryuivNV, glGetPathColorGenfvNV, glGetPathColorGenfvNV, glGetPathColorGenivNV, glGetPathColorGenivNV, glGetPathCommandsNV, glGetPathCommandsNV, glGetPathCoordsNV, glGetPathCoordsNV, glGetPathDashArrayNV, glGetPathDashArrayNV, glGetPathLengthNV, glGetPathMetricRangeNV, glGetPathMetricRangeNV, glGetPathMetricsNV, glGetPathMetricsNV, glGetPathParameterfvNV, glGetPathParameterfvNV, glGetPathParameterivNV, glGetPathParameterivNV, glGetPathSpacingNV, glGetPathSpacingNV, glGetPathTexGenfvNV, glGetPathTexGenfvNV, glGetPathTexGenivNV, glGetPathTexGenivNV, glGetPerfMonitorCounterDataAMD, glGetPerfMonitorCounterDataAMD, glGetPerfMonitorCounterInfoAMD, glGetPerfMonitorCountersAMD, glGetPerfMonitorCountersAMD, glGetPerfMonitorCounterStringAMD, glGetPerfMonitorCounterStringAMD, glGetPerfMonitorGroupsAMD, glGetPerfMonitorGroupsAMD, glGetPerfMonitorGroupStringAMD, glGetPerfMonitorGroupStringAMD, glGetPixelMapfv, glGetPixelMapfv, glGetPixelMapfv, glGetPixelMapuiv, glGetPixelMapuiv, glGetPixelMapuiv, glGetPixelMapusv, glGetPixelMapusv, glGetPixelMapusv, glGetPixelTransformParameterfvEXT, glGetPixelTransformParameterfvEXT, glGetPixelTransformParameterivEXT, glGetPixelTransformParameterivEXT, glGetPointeri_vEXT, glGetPolygonStipple, glGetPolygonStipple, glGetPolygonStipple, glGetProgramEnvParameterdvARB, glGetProgramEnvParameterdvARB, glGetProgramEnvParameterfvARB, glGetProgramEnvParameterfvARB, glGetProgramEnvParameterIivNV, glGetProgramEnvParameterIivNV, glGetProgramEnvParameterIuivNV, glGetProgramEnvParameterIuivNV, glGetProgramivARB, glGetProgramivARB, glGetProgramLocalParameterdvARB, glGetProgramLocalParameterdvARB, glGetProgramLocalParameterfvARB, glGetProgramLocalParameterfvARB, glGetProgramLocalParameterIivNV, glGetProgramLocalParameterIivNV, glGetProgramLocalParameterIuivNV, glGetProgramLocalParameterIuivNV, glGetProgramStringARB, glGetProgramSubroutineParameteruivNV, glGetProgramSubroutineParameteruivNV, glGetQueryObjecti64vEXT, glGetQueryObjecti64vEXT, glGetQueryObjectui64vEXT, glGetQueryObjectui64vEXT, glGetSeparableFilter, glGetSeparableFilter, glGetShaderSourceARB, glGetShaderSourceARB, glGetTexGendv, glGetTexGendv, glGetTextureHandleNV, glGetTextureImageEXT, glGetTextureLevelParameterfvEXT, glGetTextureLevelParameterfvEXT, glGetTextureLevelParameterivEXT, glGetTextureLevelParameterivEXT, glGetTextureParameterfvEXT, glGetTextureParameterfvEXT, glGetTextureParameterIivEXT, glGetTextureParameterIivEXT, glGetTextureParameterIuivEXT, glGetTextureParameterIuivEXT, glGetTextureParameterivEXT, glGetTextureParameterivEXT, glGetTextureSamplerHandleNV, glGetUniformBufferSizeEXT, glGetUniformfvARB, glGetUniformfvARB, glGetUniformivARB, glGetUniformivARB, glGetUniformLocationARB, glGetUniformOffsetEXT, glGetVariantBooleanvEXT, glGetVariantBooleanvEXT, glGetVariantFloatvEXT, glGetVariantFloatvEXT, glGetVariantIntegervEXT, glGetVariantIntegervEXT, glGetVertexArrayIntegeri_vEXT, glGetVertexArrayIntegeri_vEXT, glGetVertexArrayIntegervEXT, glGetVertexArrayIntegervEXT, glGetVertexArrayPointeri_vEXT, glGetVertexArrayPointervEXT, glGetVertexAttribdvARB, glGetVertexAttribdvARB, glGetVertexAttribfvARB, glGetVertexAttribfvARB, glGetVertexAttribIivEXT, glGetVertexAttribIivEXT, glGetVertexAttribIuivEXT, glGetVertexAttribIuivEXT, glGetVertexAttribivARB, glGetVertexAttribivARB, glGetVertexAttribLi64vNV, glGetVertexAttribLi64vNV, glGetVertexAttribLui64vNV, glGetVertexAttribLui64vNV, glGetVideoCaptureivNV, glGetVideoCaptureivNV, glGetVideoCaptureStreamdvNV, glGetVideoCaptureStreamdvNV, glGetVideoCaptureStreamfvNV, glGetVideoCaptureStreamfvNV, glGetVideoCaptureStreamivNV, glGetVideoCaptureStreamivNV, glHintPGI, glHistogram, glIndexd, glIndexdv, glIndexdv, glIndexf, glIndexFuncEXT, glIndexfv, glIndexfv, glIndexi, glIndexiv, glIndexiv, glIndexMask, glIndexMaterialEXT, glIndexPointer, glIndexs, glIndexsv, glIndexsv, glIndexub, glIndexubv, glIndexubv, glInitNames, glInsertComponentEXT, glInterleavedArrays, glInterleavedArrays, glInterpolatePathsNV, glIsEnabledIndexed, glIsFenceAPPLE, glIsFenceNV, glIsImageHandleResidentNV, glIsList, glIsNameAMD, glIsOcclusionQueryNV, glIsPathNV, glIsPointInFillPathNV, glIsPointInStrokePathNV, glIsProgramARB, glIsTextureHandleResidentNV, glIsTransformFeedbackNV, glIsVariantEnabledEXT, glIsVertexAttribEnabledAPPLE, glLighti, glLightiv, glLightiv, glLightModeli, glLightModeliv, glLightModeliv, glLineStipple, glLinkProgramARB, glListBase, glLoadMatrixd, glLoadMatrixd, glLoadName, glLoadTransposeMatrixd, glLoadTransposeMatrixd, glLoadTransposeMatrixf, glLoadTransposeMatrixf, glLockArraysEXT, glMakeImageHandleNonResidentNV, glMakeImageHandleResidentNV, glMakeTextureHandleNonResidentNV, glMakeTextureHandleResidentNV, glMap1d, glMap1d, glMap1f, glMap1f, glMap2d, glMap2d, glMap2f, glMap2f, glMapControlPointsNV, glMapGrid1d, glMapGrid1f, glMapGrid2d, glMapGrid2f, glMapNamedBufferEXT, glMapNamedBufferRangeEXT, glMapParameterfvNV, glMapParameterfvNV, glMapParameterivNV, glMapParameterivNV, glMapTexture2DINTEL, glMapTexture2DINTEL, glMapVertexAttrib1dAPPLE, glMapVertexAttrib1dAPPLE, glMapVertexAttrib1fAPPLE, glMapVertexAttrib1fAPPLE, glMapVertexAttrib2dAPPLE, glMapVertexAttrib2dAPPLE, glMapVertexAttrib2fAPPLE, glMapVertexAttrib2fAPPLE, glMateriali, glMaterialiv, glMaterialiv, glMatrixFrustumEXT, glMatrixIndexPointer, glMatrixIndexubvARB, glMatrixIndexubvARB, glMatrixIndexuivARB, glMatrixIndexuivARB, glMatrixIndexusvARB, glMatrixIndexusvARB, glMatrixLoaddEXT, glMatrixLoaddEXT, glMatrixLoadfEXT, glMatrixLoadfEXT, glMatrixLoadIdentityEXT, glMatrixLoadTransposedEXT, glMatrixLoadTransposedEXT, glMatrixLoadTransposefEXT, glMatrixLoadTransposefEXT, glMatrixMultdEXT, glMatrixMultdEXT, glMatrixMultfEXT, glMatrixMultfEXT, glMatrixMultTransposedEXT, glMatrixMultTransposedEXT, glMatrixMultTransposefEXT, glMatrixMultTransposefEXT, glMatrixOrthoEXT, glMatrixPopEXT, glMatrixPushEXT, glMatrixRotatedEXT, glMatrixRotatefEXT, glMatrixScaledEXT, glMatrixScalefEXT, glMatrixTranslatedEXT, glMatrixTranslatefEXT, glMinmax, glMultiTexBufferEXT, glMultiTexCoord1bOES, glMultiTexCoord1bvOES, glMultiTexCoord1bvOES, glMultiTexCoord1d, glMultiTexCoord1dv, glMultiTexCoord1dv, glMultiTexCoord1f, glMultiTexCoord1fv, glMultiTexCoord1fv, glMultiTexCoord1h, glMultiTexCoord1hv, glMultiTexCoord1hv, glMultiTexCoord1i, glMultiTexCoord1iv, glMultiTexCoord1iv, glMultiTexCoord1s, glMultiTexCoord1sv, glMultiTexCoord1sv, glMultiTexCoord2bOES, glMultiTexCoord2bvOES, glMultiTexCoord2bvOES, glMultiTexCoord2d, glMultiTexCoord2dv, glMultiTexCoord2dv, glMultiTexCoord2f, glMultiTexCoord2fv, glMultiTexCoord2fv, glMultiTexCoord2h, glMultiTexCoord2hv, glMultiTexCoord2hv, glMultiTexCoord2i, glMultiTexCoord2iv, glMultiTexCoord2iv, glMultiTexCoord2s, glMultiTexCoord2sv, glMultiTexCoord2sv, glMultiTexCoord3bOES, glMultiTexCoord3bvOES, glMultiTexCoord3bvOES, glMultiTexCoord3d, glMultiTexCoord3dv, glMultiTexCoord3dv, glMultiTexCoord3f, glMultiTexCoord3fv, glMultiTexCoord3fv, glMultiTexCoord3h, glMultiTexCoord3hv, glMultiTexCoord3hv, glMultiTexCoord3i, glMultiTexCoord3iv, glMultiTexCoord3iv, glMultiTexCoord3s, glMultiTexCoord3sv, glMultiTexCoord3sv, glMultiTexCoord4bOES, glMultiTexCoord4bvOES, glMultiTexCoord4bvOES, glMultiTexCoord4d, glMultiTexCoord4dv, glMultiTexCoord4dv, glMultiTexCoord4fv, glMultiTexCoord4fv, glMultiTexCoord4h, glMultiTexCoord4hv, glMultiTexCoord4hv, glMultiTexCoord4i, glMultiTexCoord4iv, glMultiTexCoord4iv, glMultiTexCoord4s, glMultiTexCoord4sv, glMultiTexCoord4sv, glMultiTexCoordPointerEXT, glMultiTexEnvfEXT, glMultiTexEnvfvEXT, glMultiTexEnvfvEXT, glMultiTexEnviEXT, glMultiTexEnvivEXT, glMultiTexEnvivEXT, glMultiTexGendEXT, glMultiTexGendvEXT, glMultiTexGendvEXT, glMultiTexGenfEXT, glMultiTexGenfvEXT, glMultiTexGenfvEXT, glMultiTexGeniEXT, glMultiTexGenivEXT, glMultiTexGenivEXT, glMultiTexImage1DEXT, glMultiTexImage2DEXT, glMultiTexImage3DEXT, glMultiTexParameterfEXT, glMultiTexParameterfvEXT, glMultiTexParameterfvEXT, glMultiTexParameteriEXT, glMultiTexParameterIivEXT, glMultiTexParameterIivEXT, glMultiTexParameterIuivEXT, glMultiTexParameterIuivEXT, glMultiTexParameterivEXT, glMultiTexParameterivEXT, glMultiTexRenderbufferEXT, glMultiTexSubImage1DEXT, glMultiTexSubImage2DEXT, glMultiTexSubImage3DEXT, glMultMatrixd, glMultMatrixd, glMultTransposeMatrixd, glMultTransposeMatrixd, glMultTransposeMatrixf, glMultTransposeMatrixf, glNamedBufferDataEXT, glNamedBufferSubDataEXT, glNamedCopyBufferSubDataEXT, glNamedFramebufferRenderbufferEXT, glNamedFramebufferTexture1DEXT, glNamedFramebufferTexture2DEXT, glNamedFramebufferTexture3DEXT, glNamedFramebufferTextureEXT, glNamedFramebufferTextureFaceEXT, glNamedFramebufferTextureLayerEXT, glNamedProgramLocalParameter4dEXT, glNamedProgramLocalParameter4dvEXT, glNamedProgramLocalParameter4dvEXT, glNamedProgramLocalParameter4fEXT, glNamedProgramLocalParameter4fvEXT, glNamedProgramLocalParameter4fvEXT, glNamedProgramLocalParameterI4iEXT, glNamedProgramLocalParameterI4ivEXT, glNamedProgramLocalParameterI4ivEXT, glNamedProgramLocalParameterI4uiEXT, glNamedProgramLocalParameterI4uivEXT, glNamedProgramLocalParameterI4uivEXT, glNamedProgramLocalParameters4fvEXT, glNamedProgramLocalParameters4fvEXT, glNamedProgramLocalParametersI4ivEXT, glNamedProgramLocalParametersI4ivEXT, glNamedProgramLocalParametersI4uivEXT, glNamedProgramLocalParametersI4uivEXT, glNamedProgramStringEXT, glNamedRenderbufferStorageEXT, glNamedRenderbufferStorageMultisampleCoverageEXT, glNamedRenderbufferStorageMultisampleEXT, glNewList, glNormal3b, glNormal3bv, glNormal3bv, glNormal3d, glNormal3dv, glNormal3dv, glNormal3fv, glNormal3fv, glNormal3h, glNormal3hv, glNormal3hv, glNormal3i, glNormal3iv, glNormal3iv, glNormal3s, glNormal3sv, glNormal3sv, glObjectPurgeableAPPLE, glObjectUnpurgeableAPPLE, glPassThrough, glPathColorGenNV, glPathColorGenNV, glPathCommandsNV, glPathCommandsNV, glPathCoordsNV, glPathCoverDepthFuncNV, glPathDashArrayNV, glPathDashArrayNV, glPathFogGenNV, glPathGlyphRangeNV, glPathGlyphsNV, glPathParameterfNV, glPathParameterfvNV, glPathParameterfvNV, glPathParameteriNV, glPathParameterivNV, glPathParameterivNV, glPathStencilDepthOffsetNV, glPathStencilFuncNV, glPathStringNV, glPathSubCommandsNV, glPathSubCommandsNV, glPathSubCoordsNV, glPathTexGenNV, glPathTexGenNV, glPauseTransformFeedbackNV, glPixelDataRangeNV, glPixelMapfv, glPixelMapfv, glPixelMapfv, glPixelMapuiv, glPixelMapuiv, glPixelMapuiv, glPixelMapusv, glPixelMapusv, glPixelMapusv, glPixelTransferf, glPixelTransferi, glPixelTransformParameterfEXT, glPixelTransformParameterfvEXT, glPixelTransformParameterfvEXT, glPixelTransformParameteriEXT, glPixelTransformParameterivEXT, glPixelTransformParameterivEXT, glPixelZoom, glPNTrianglesfATI, glPNTrianglesiATI, glPointAlongPathNV, glPointAlongPathNV, glPolygonStipple, glPolygonStipple, glPolygonStipple, glPopAttrib, glPopClientAttrib, glPopName, glPrimitiveRestartIndexNV, glPrimitiveRestartNV, glPrioritizeTextures, glPrioritizeTextures, glProgramBufferParametersfvNV, glProgramBufferParametersfvNV, glProgramBufferParametersIivNV, glProgramBufferParametersIivNV, glProgramBufferParametersIuivNV, glProgramBufferParametersIuivNV, glProgramEnvParameter4dARB, glProgramEnvParameter4dvARB, glProgramEnvParameter4dvARB, glProgramEnvParameter4fARB, glProgramEnvParameter4fvARB, glProgramEnvParameter4fvARB, glProgramEnvParameterI4iNV, glProgramEnvParameterI4ivNV, glProgramEnvParameterI4ivNV, glProgramEnvParameterI4uiNV, glProgramEnvParameterI4uivNV, glProgramEnvParameterI4uivNV, glProgramEnvParameters4fvEXT, glProgramEnvParameters4fvEXT, glProgramEnvParametersI4ivNV, glProgramEnvParametersI4ivNV, glProgramEnvParametersI4uivNV, glProgramEnvParametersI4uivNV, glProgramLocalParameter4dARB, glProgramLocalParameter4dvARB, glProgramLocalParameter4dvARB, glProgramLocalParameter4fARB, glProgramLocalParameter4fvARB, glProgramLocalParameter4fvARB, glProgramLocalParameterI4iNV, glProgramLocalParameterI4ivNV, glProgramLocalParameterI4ivNV, glProgramLocalParameterI4uiNV, glProgramLocalParameterI4uivNV, glProgramLocalParameterI4uivNV, glProgramLocalParameters4fvEXT, glProgramLocalParameters4fvEXT, glProgramLocalParametersI4ivNV, glProgramLocalParametersI4ivNV, glProgramLocalParametersI4uivNV, glProgramLocalParametersI4uivNV, glProgramStringARB, glProgramSubroutineParametersuivNV, glProgramSubroutineParametersuivNV, glProgramUniform1uiEXT, glProgramUniform1uivEXT, glProgramUniform1uivEXT, glProgramUniform2uiEXT, glProgramUniform2uivEXT, glProgramUniform2uivEXT, glProgramUniform3uiEXT, glProgramUniform3uivEXT, glProgramUniform3uivEXT, glProgramUniform4uiEXT, glProgramUniform4uivEXT, glProgramUniform4uivEXT, glProgramUniformHandleui64NV, glProgramUniformHandleui64vNV, glProgramUniformHandleui64vNV, glProgramUniformMatrix2x3fvEXT, glProgramUniformMatrix2x3fvEXT, glProgramUniformMatrix2x4fvEXT, glProgramUniformMatrix2x4fvEXT, glProgramUniformMatrix3x2fvEXT, glProgramUniformMatrix3x2fvEXT, glProgramUniformMatrix3x4fvEXT, glProgramUniformMatrix3x4fvEXT, glProgramUniformMatrix4x2fvEXT, glProgramUniformMatrix4x2fvEXT, glProgramUniformMatrix4x3fvEXT, glProgramUniformMatrix4x3fvEXT, glProgramVertexLimitNV, glProvokingVertexEXT, glPushAttrib, glPushClientAttrib, glPushClientAttribDefaultEXT, glPushName, glQueryMatrixxOES, glQueryMatrixxOES, glRasterPos2d, glRasterPos2dv, glRasterPos2dv, glRasterPos2f, glRasterPos2fv, glRasterPos2fv, glRasterPos2i, glRasterPos2iv, glRasterPos2iv, glRasterPos2s, glRasterPos2sv, glRasterPos2sv, glRasterPos3d, glRasterPos3dv, glRasterPos3dv, glRasterPos3f, glRasterPos3fv, glRasterPos3fv, glRasterPos3i, glRasterPos3iv, glRasterPos3iv, glRasterPos3s, glRasterPos3sv, glRasterPos3sv, glRasterPos4d, glRasterPos4dv, glRasterPos4dv, glRasterPos4f, glRasterPos4fv, glRasterPos4fv, glRasterPos4i, glRasterPos4iv, glRasterPos4iv, glRasterPos4s, glRasterPos4sv, glRasterPos4sv, glRectd, glRectdv, glRectdv, glRectf, glRectfv, glRectfv, glRecti, glRectiv, glRectiv, glRects, glRectsv, glRectsv, glRenderbufferStorageMultisampleCoverageNV, glRenderMode, glResetHistogram, glResetMinmax, glResumeTransformFeedbackNV, glRotated, glSampleMaskIndexedNV, glScaled, glSecondaryColor3b, glSecondaryColor3bv, glSecondaryColor3bv, glSecondaryColor3d, glSecondaryColor3dv, glSecondaryColor3dv, glSecondaryColor3f, glSecondaryColor3fv, glSecondaryColor3fv, glSecondaryColor3h, glSecondaryColor3hv, glSecondaryColor3hv, glSecondaryColor3i, glSecondaryColor3iv, glSecondaryColor3iv, glSecondaryColor3s, glSecondaryColor3sv, glSecondaryColor3sv, glSecondaryColor3ub, glSecondaryColor3ubv, glSecondaryColor3ubv, glSecondaryColor3ui, glSecondaryColor3uiv, glSecondaryColor3uiv, glSecondaryColor3us, glSecondaryColor3usv, glSecondaryColor3usv, glSecondaryColorPointer, glSecondaryColorPointer, glSelectBuffer, glSelectPerfMonitorCountersAMD, glSelectPerfMonitorCountersAMD, glSeparableFilter2D, glSeparableFilter2D, glSetFenceAPPLE, glSetFenceNV, glSetInvariantEXT, glSetLocalConstantEXT, glShaderOp1EXT, glShaderOp2EXT, glShaderOp3EXT, glShaderSourceARB, glShaderSourceARB, glStencilClearTagEXT, glStencilFillPathInstancedNV, glStencilFillPathInstancedNV, glStencilFillPathNV, glStencilStrokePathInstancedNV, glStencilStrokePathInstancedNV, glStencilStrokePathNV, glStringMarkerGREMEDY, glSwizzleEXT, glSyncTextureINTEL, glTestFenceAPPLE, glTestFenceNV, glTestObjectAPPLE, glTexCoord1bOES, glTexCoord1bvOES, glTexCoord1bvOES, glTexCoord1d, glTexCoord1dv, glTexCoord1dv, glTexCoord1f, glTexCoord1fv, glTexCoord1fv, glTexCoord1h, glTexCoord1hv, glTexCoord1hv, glTexCoord1i, glTexCoord1iv, glTexCoord1iv, glTexCoord1s, glTexCoord1sv, glTexCoord1sv, glTexCoord2bOES, glTexCoord2bvOES, glTexCoord2bvOES, glTexCoord2d, glTexCoord2dv, glTexCoord2dv, glTexCoord2f, glTexCoord2fv, glTexCoord2fv, glTexCoord2h, glTexCoord2hv, glTexCoord2hv, glTexCoord2i, glTexCoord2iv, glTexCoord2iv, glTexCoord2s, glTexCoord2sv, glTexCoord2sv, glTexCoord3bOES, glTexCoord3bvOES, glTexCoord3bvOES, glTexCoord3d, glTexCoord3dv, glTexCoord3dv, glTexCoord3f, glTexCoord3fv, glTexCoord3fv, glTexCoord3h, glTexCoord3hv, glTexCoord3hv, glTexCoord3i, glTexCoord3iv, glTexCoord3iv, glTexCoord3s, glTexCoord3sv, glTexCoord3sv, glTexCoord4bOES, glTexCoord4bvOES, glTexCoord4bvOES, glTexCoord4d, glTexCoord4dv, glTexCoord4dv, glTexCoord4f, glTexCoord4fv, glTexCoord4fv, glTexCoord4h, glTexCoord4hv, glTexCoord4hv, glTexCoord4i, glTexCoord4iv, glTexCoord4iv, glTexCoord4s, glTexCoord4sv, glTexCoord4sv, glTexGend, glTexGendv, glTexGendv, glTexRenderbufferNV, glTexStorageSparseAMD, glTextureBarrierNV, glTextureBufferEXT, glTextureImage1DEXT, glTextureImage2DEXT, glTextureImage3DEXT, glTextureLightEXT, glTextureMaterialEXT, glTextureNormalEXT, glTextureParameterfEXT, glTextureParameterfvEXT, glTextureParameterfvEXT, glTextureParameteriEXT, glTextureParameterIivEXT, glTextureParameterIivEXT, glTextureParameterIuivEXT, glTextureParameterIuivEXT, glTextureParameterivEXT, glTextureParameterivEXT, glTextureRangeAPPLE, glTextureRenderbufferEXT, glTextureStorageSparseAMD, glTextureSubImage1DEXT, glTextureSubImage2DEXT, glTextureSubImage3DEXT, glTransformPathNV, glTransformPathNV, glTranslated, glUniform1fARB, glUniform1fvARB, glUniform1fvARB, glUniform1iARB, glUniform1ivARB, glUniform1ivARB, glUniform2fARB, glUniform2fvARB, glUniform2fvARB, glUniform2iARB, glUniform2ivARB, glUniform2ivARB, glUniform3fARB, glUniform3fvARB, glUniform3fvARB, glUniform3iARB, glUniform3ivARB, glUniform3ivARB, glUniform4fARB, glUniform4fvARB, glUniform4fvARB, glUniform4iARB, glUniform4ivARB, glUniform4ivARB, glUniformBufferEXT, glUniformHandleui64NV, glUniformHandleui64vNV, glUniformHandleui64vNV, glUniformMatrix2fvARB, glUniformMatrix2fvARB, glUniformMatrix3fvARB, glUniformMatrix3fvARB, glUniformMatrix4fvARB, glUniformMatrix4fvARB, glUnlockArraysEXT, glUnmapNamedBufferEXT, glUnmapTexture2DINTEL, glUseProgramObjectARB, glValidateProgramARB, glVariantbvEXT, glVariantbvEXT, glVariantdvEXT, glVariantdvEXT, glVariantfvEXT, glVariantfvEXT, glVariantivEXT, glVariantivEXT, glVariantPointerEXT, glVariantPointerEXT, glVariantsvEXT, glVariantsvEXT, glVariantubvEXT, glVariantubvEXT, glVariantuivEXT, glVariantuivEXT, glVariantusvEXT, glVariantusvEXT, glVDPAUFiniNV, glVDPAUGetSurfaceivNV, glVDPAUGetSurfaceivNV, glVDPAUInitNV, glVDPAUIsSurfaceNV, glVDPAUMapSurfacesNV, glVDPAURegisterOutputSurfaceNV, glVDPAURegisterOutputSurfaceNV, glVDPAURegisterVideoSurfaceNV, glVDPAURegisterVideoSurfaceNV, glVDPAUSurfaceAccessNV, glVDPAUUnmapSurfacesNV, glVDPAUUnregisterSurfaceNV, glVertex2bOES, glVertex2bvOES, glVertex2bvOES, glVertex2d, glVertex2dv, glVertex2dv, glVertex2f, glVertex2fv, glVertex2fv, glVertex2h, glVertex2hv, glVertex2hv, glVertex2i, glVertex2iv, glVertex2iv, glVertex2s, glVertex2sv, glVertex2sv, glVertex3bOES, glVertex3bvOES, glVertex3bvOES, glVertex3d, glVertex3dv, glVertex3dv, glVertex3f, glVertex3fv, glVertex3fv, glVertex3h, glVertex3hv, glVertex3hv, glVertex3i, glVertex3iv, glVertex3iv, glVertex3s, glVertex3sv, glVertex3sv, glVertex4bOES, glVertex4bvOES, glVertex4bvOES, glVertex4d, glVertex4dv, glVertex4dv, glVertex4f, glVertex4fv, glVertex4fv, glVertex4h, glVertex4hv, glVertex4hv, glVertex4i, glVertex4iv, glVertex4iv, glVertex4s, glVertex4sv, glVertex4sv, glVertexArrayColorOffsetEXT, glVertexArrayEdgeFlagOffsetEXT, glVertexArrayFogCoordOffsetEXT, glVertexArrayIndexOffsetEXT, glVertexArrayMultiTexCoordOffsetEXT, glVertexArrayNormalOffsetEXT, glVertexArrayParameteriAPPLE, glVertexArrayRangeAPPLE, glVertexArrayRangeNV, glVertexArraySecondaryColorOffsetEXT, glVertexArrayTexCoordOffsetEXT, glVertexArrayVertexAttribIOffsetEXT, glVertexArrayVertexAttribOffsetEXT, glVertexArrayVertexOffsetEXT, glVertexAttrib1dARB, glVertexAttrib1dvARB, glVertexAttrib1dvARB, glVertexAttrib1fARB, glVertexAttrib1fvARB, glVertexAttrib1fvARB, glVertexAttrib1h, glVertexAttrib1hv, glVertexAttrib1hv, glVertexAttrib1sARB, glVertexAttrib1svARB, glVertexAttrib1svARB, glVertexAttrib2dARB, glVertexAttrib2dvARB, glVertexAttrib2dvARB, glVertexAttrib2fARB, glVertexAttrib2fvARB, glVertexAttrib2fvARB, glVertexAttrib2h, glVertexAttrib2hv, glVertexAttrib2hv, glVertexAttrib2sARB, glVertexAttrib2svARB, glVertexAttrib2svARB, glVertexAttrib3dARB, glVertexAttrib3dvARB, glVertexAttrib3dvARB, glVertexAttrib3fARB, glVertexAttrib3fvARB, glVertexAttrib3fvARB, glVertexAttrib3h, glVertexAttrib3hv, glVertexAttrib3hv, glVertexAttrib3sARB, glVertexAttrib3svARB, glVertexAttrib3svARB, glVertexAttrib4bvARB, glVertexAttrib4bvARB, glVertexAttrib4dARB, glVertexAttrib4dvARB, glVertexAttrib4dvARB, glVertexAttrib4fARB, glVertexAttrib4fvARB, glVertexAttrib4fvARB, glVertexAttrib4h, glVertexAttrib4hv, glVertexAttrib4hv, glVertexAttrib4ivARB, glVertexAttrib4ivARB, glVertexAttrib4NbvARB, glVertexAttrib4NbvARB, glVertexAttrib4NivARB, glVertexAttrib4NivARB, glVertexAttrib4NsvARB, glVertexAttrib4NsvARB, glVertexAttrib4NubARB, glVertexAttrib4NubvARB, glVertexAttrib4NubvARB, glVertexAttrib4NuivARB, glVertexAttrib4NuivARB, glVertexAttrib4NusvARB, glVertexAttrib4NusvARB, glVertexAttrib4sARB, glVertexAttrib4svARB, glVertexAttrib4svARB, glVertexAttrib4ubvARB, glVertexAttrib4ubvARB, glVertexAttrib4uivARB, glVertexAttrib4uivARB, glVertexAttrib4usvARB, glVertexAttrib4usvARB, glVertexAttribI1iEXT, glVertexAttribI1ivEXT, glVertexAttribI1ivEXT, glVertexAttribI1uiEXT, glVertexAttribI1uivEXT, glVertexAttribI1uivEXT, glVertexAttribI2iEXT, glVertexAttribI2ivEXT, glVertexAttribI2ivEXT, glVertexAttribI2uiEXT, glVertexAttribI2uivEXT, glVertexAttribI2uivEXT, glVertexAttribI3iEXT, glVertexAttribI3ivEXT, glVertexAttribI3ivEXT, glVertexAttribI3uiEXT, glVertexAttribI3uivEXT, glVertexAttribI3uivEXT, glVertexAttribI4bvEXT, glVertexAttribI4bvEXT, glVertexAttribI4iEXT, glVertexAttribI4ivEXT, glVertexAttribI4ivEXT, glVertexAttribI4svEXT, glVertexAttribI4svEXT, glVertexAttribI4ubvEXT, glVertexAttribI4ubvEXT, glVertexAttribI4uiEXT, glVertexAttribI4uivEXT, glVertexAttribI4uivEXT, glVertexAttribI4usvEXT, glVertexAttribI4usvEXT, glVertexAttribIPointer, glVertexAttribIPointerEXT, glVertexAttribL1i64NV, glVertexAttribL1i64vNV, glVertexAttribL1i64vNV, glVertexAttribL1ui64NV, glVertexAttribL1ui64vNV, glVertexAttribL1ui64vNV, glVertexAttribL2i64NV, glVertexAttribL2i64vNV, glVertexAttribL2i64vNV, glVertexAttribL2ui64NV, glVertexAttribL2ui64vNV, glVertexAttribL2ui64vNV, glVertexAttribL3i64NV, glVertexAttribL3i64vNV, glVertexAttribL3i64vNV, glVertexAttribL3ui64NV, glVertexAttribL3ui64vNV, glVertexAttribL3ui64vNV, glVertexAttribL4i64NV, glVertexAttribL4i64vNV, glVertexAttribL4i64vNV, glVertexAttribL4ui64NV, glVertexAttribL4ui64vNV, glVertexAttribL4ui64vNV, glVertexAttribLFormatNV, glVertexAttribParameteriAMD, glVertexAttribPointer, glVertexAttribPointerARB, glVertexAttribPointerARB, glVertexAttribs1hv, glVertexAttribs1hv, glVertexAttribs2hv, glVertexAttribs2hv, glVertexAttribs3hv, glVertexAttribs3hv, glVertexAttribs4hv, glVertexAttribs4hv, glVertexBlendARB, glVertexWeightfEXT, glVertexWeightfvEXT, glVertexWeightfvEXT, glVertexWeighth, glVertexWeighthv, glVertexWeighthv, glVertexWeightPointerEXT, glVertexWeightPointerEXT, glVideoCaptureNV, glVideoCaptureNV, glVideoCaptureStreamParameterdvNV, glVideoCaptureStreamParameterdvNV, glVideoCaptureStreamParameterfvNV, glVideoCaptureStreamParameterfvNV, glVideoCaptureStreamParameterivNV, glVideoCaptureStreamParameterivNV, glWeightbvARB, glWeightbvARB, glWeightdvARB, glWeightdvARB, glWeightfvARB, glWeightfvARB, glWeightivARB, glWeightivARB, glWeightPathsNV, glWeightPathsNV, glWeightPointer, glWeightsvARB, glWeightsvARB, glWeightubvARB, glWeightubvARB, glWeightuivARB, glWeightuivARB, glWeightusvARB, glWeightusvARB, glWindowPos2d, glWindowPos2dv, glWindowPos2dv, glWindowPos2f, glWindowPos2fv, glWindowPos2fv, glWindowPos2i, glWindowPos2iv, glWindowPos2iv, glWindowPos2s, glWindowPos2sv, glWindowPos2sv, glWindowPos3d, glWindowPos3dv, glWindowPos3dv, glWindowPos3f, glWindowPos3fv, glWindowPos3fv, glWindowPos3i, glWindowPos3iv, glWindowPos3iv, glWindowPos3s, glWindowPos3sv, glWindowPos3sv, glWriteMaskEXT, mapNamedBuffer, mapNamedBufferRange`

    - ### Methods inherited from interface javax.media.opengl.GL2ES1

      `glAlphaFunc, glClientActiveTexture, glColor4ub, glDrawElements, glFogf, glFogfv, glFogfv, glFrustum, glGetLightfv, glGetLightfv, glGetMaterialfv, glGetMaterialfv, glGetTexEnvfv, glGetTexEnvfv, glGetTexEnviv, glGetTexEnviv, glGetTexGenfv, glGetTexGenfv, glGetTexGeniv, glGetTexGeniv, glLightf, glLightModelf, glLightModelfv, glLightModelfv, glLogicOp, glMultiTexCoord4f, glNormal3f, glOrtho, glPointParameterf, glPointParameterfv, glPointParameterfv, glPointSize, glTexEnvf, glTexEnvfv, glTexEnvfv, glTexEnvi, glTexEnviv, glTexEnviv, glTexGenf, glTexGenfv, glTexGenfv, glTexGeni, glTexGeniv, glTexGeniv`

    - ### Methods inherited from interface javax.media.opengl.fixedfunc.GLMatrixFunc

      `glFrustumf, glGetFloatv, glGetFloatv, glGetIntegerv, glGetIntegerv, glLoadIdentity, glLoadMatrixf, glLoadMatrixf, glMatrixMode, glMultMatrixf, glMultMatrixf, glOrthof, glPopMatrix, glPushMatrix, glRotatef, glScalef, glTranslatef`

    - ### Methods inherited from interface javax.media.opengl.fixedfunc.GLPointerFunc

      `glColor4f, glColorPointer, glColorPointer, glColorPointer, glDisableClientState, glEnableClientState, glNormalPointer, glNormalPointer, glNormalPointer, glTexCoordPointer, glTexCoordPointer, glTexCoordPointer, glVertexPointer, glVertexPointer, glVertexPointer`

    - ### Methods inherited from interface javax.media.opengl.fixedfunc.GLLightingFunc

      `glColor4f, glLightfv, glLightfv, glMaterialf, glMaterialfv, glMaterialfv, glShadeModel`

    - ### Methods inherited from interface javax.media.opengl.GL3

      `glBindFragDataLocationIndexed, glColorP3ui, glColorP3uiv, glColorP3uiv, glColorP4ui, glColorP4uiv, glColorP4uiv, glDrawElementsBaseVertex, glDrawElementsInstancedBaseVertex, glDrawRangeElementsBaseVertex, glFramebufferTexture, glGetFragDataIndex, glGetMultisamplefv, glGetMultisamplefv, glGetQueryObjecti64v, glGetQueryObjecti64v, glGetQueryObjectui64v, glGetQueryObjectui64v, glGetSamplerParameterIiv, glGetSamplerParameterIiv, glGetSamplerParameterIuiv, glGetSamplerParameterIuiv, glMultiDrawElementsBaseVertex, glMultiTexCoordP1ui, glMultiTexCoordP1uiv, glMultiTexCoordP1uiv, glMultiTexCoordP2ui, glMultiTexCoordP2uiv, glMultiTexCoordP2uiv, glMultiTexCoordP3ui, glMultiTexCoordP3uiv, glMultiTexCoordP3uiv, glMultiTexCoordP4ui, glMultiTexCoordP4uiv, glMultiTexCoordP4uiv, glNormalP3ui, glNormalP3uiv, glNormalP3uiv, glProvokingVertex, glQueryCounter, glSampleMaski, glSamplerParameterIiv, glSamplerParameterIiv, glSamplerParameterIuiv, glSamplerParameterIuiv, glSecondaryColorP3ui, glSecondaryColorP3uiv, glSecondaryColorP3uiv, glTexCoordP1ui, glTexCoordP1uiv, glTexCoordP1uiv, glTexCoordP2ui, glTexCoordP2uiv, glTexCoordP2uiv, glTexCoordP3ui, glTexCoordP3uiv, glTexCoordP3uiv, glTexCoordP4ui, glTexCoordP4uiv, glTexCoordP4uiv, glTexImage2DMultisample, glTexImage3DMultisample, glVertexAttribP1ui, glVertexAttribP1uiv, glVertexAttribP1uiv, glVertexAttribP2ui, glVertexAttribP2uiv, glVertexAttribP2uiv, glVertexAttribP3ui, glVertexAttribP3uiv, glVertexAttribP3uiv, glVertexAttribP4ui, glVertexAttribP4uiv, glVertexAttribP4uiv, glVertexP2ui, glVertexP2uiv, glVertexP2uiv, glVertexP3ui, glVertexP3uiv, glVertexP3uiv, glVertexP4ui, glVertexP4uiv, glVertexP4uiv`

    - ### Methods inherited from interface javax.media.opengl.GL3ES3

      `glBindSampler, glClientWaitSync, glDeleteSamplers, glDeleteSamplers, glDeleteSync, glFenceSync, glGenSamplers, glGenSamplers, glGetBufferParameteri64v, glGetBufferParameteri64v, glGetInteger64i_v, glGetInteger64i_v, glGetInteger64v, glGetInteger64v, glGetSamplerParameterfv, glGetSamplerParameterfv, glGetSamplerParameteriv, glGetSamplerParameteriv, glGetSynciv, glGetSynciv, glIsSampler, glIsSync, glSamplerParameterf, glSamplerParameterfv, glSamplerParameterfv, glSamplerParameteri, glSamplerParameteriv, glSamplerParameteriv, glVertexAttribDivisor, glWaitSync`

    - ### Methods inherited from interface javax.media.opengl.GL2GL3

      `glBeginConditionalRender, glBindFragDataLocation, glBufferAddressRangeNV, glClampColor, glClearNamedBufferDataEXT, glClearNamedBufferSubDataEXT, glColorFormatNV, glColorMaski, glCompileShaderIncludeARB, glCompileShaderIncludeARB, glCompressedTexImage1D, glCompressedTexImage1D, glCompressedTexSubImage1D, glCompressedTexSubImage1D, glCopyTexImage1D, glCopyTexSubImage1D, glCreateSyncFromCLeventARB, glDebugMessageEnableAMD, glDebugMessageEnableAMD, glDebugMessageInsertAMD, glDeleteNamedStringARB, glDisableClientState, glDisablei, glDrawBuffer, glEdgeFlagFormatNV, glEnableClientState, glEnablei, glEndConditionalRender, glFogCoordFormatNV, glFramebufferTexture1D, glFramebufferTextureARB, glFramebufferTextureFaceARB, glFramebufferTextureLayerARB, glGetActiveUniformName, glGetActiveUniformName, glGetBooleani_v, glGetBooleani_v, glGetBufferParameterui64vNV, glGetBufferParameterui64vNV, glGetBufferSubData, glGetCompressedTexImage, glGetCompressedTexImage, glGetDebugMessageLogAMD, glGetDebugMessageLogAMD, glGetDoublev, glGetDoublev, glGetIntegerui64i_vNV, glGetIntegerui64i_vNV, glGetIntegerui64vNV, glGetIntegerui64vNV, glGetNamedBufferParameterui64vNV, glGetNamedBufferParameterui64vNV, glGetNamedFramebufferParameterivEXT, glGetNamedFramebufferParameterivEXT, glGetNamedStringARB, glGetNamedStringARB, glGetNamedStringivARB, glGetNamedStringivARB, glGetnCompressedTexImage, glGetnTexImage, glGetnUniformdv, glGetnUniformdv, glGetnUniformuiv, glGetnUniformuiv, glGetQueryObjectiv, glGetQueryObjectiv, glGetTexImage, glGetTexImage, glGetTexLevelParameterfv, glGetTexLevelParameterfv, glGetTexLevelParameteriv, glGetTexLevelParameteriv, glGetTexParameterIiv, glGetTexParameterIiv, glGetTexParameterIuiv, glGetTexParameterIuiv, glGetUniformui64vNV, glGetUniformui64vNV, glGetVertexAttribdv, glGetVertexAttribdv, glImportSyncEXT, glIndexFormatNV, glIsBufferResidentNV, glIsEnabledi, glIsNamedBufferResidentNV, glIsNamedStringARB, glLogicOp, glMakeBufferNonResidentNV, glMakeBufferResidentNV, glMakeNamedBufferNonResidentNV, glMakeNamedBufferResidentNV, glMultiDrawArrays, glMultiDrawArrays, glMultiDrawArraysIndirectAMD, glMultiDrawElements, glMultiDrawElementsIndirectAMD, glNamedFramebufferParameteriEXT, glNamedStringARB, glNormalFormatNV, glPixelStoref, glPointParameterf, glPointParameterfv, glPointParameterfv, glPointParameteri, glPointParameteriv, glPointParameteriv, glPointSize, glPolygonMode, glPrimitiveRestartIndex, glProgramParameteriARB, glProgramUniformui64NV, glProgramUniformui64vNV, glProgramUniformui64vNV, glSecondaryColorFormatNV, glSetMultisamplefvAMD, glSetMultisamplefvAMD, glStencilOpValueAMD, glTessellationFactorAMD, glTessellationModeAMD, glTexBuffer, glTexCoordFormatNV, glTexImage1D, glTexImage1D, glTexImage2DMultisampleCoverageNV, glTexImage3DMultisampleCoverageNV, glTexParameterIiv, glTexParameterIiv, glTexParameterIuiv, glTexParameterIuiv, glTexSubImage1D, glTexSubImage1D, glTextureBufferRangeEXT, glTextureImage2DMultisampleCoverageNV, glTextureImage2DMultisampleNV, glTextureImage3DMultisampleCoverageNV, glTextureImage3DMultisampleNV, glUniformui64NV, glUniformui64vNV, glUniformui64vNV, glVertexArrayBindVertexBufferEXT, glVertexArrayVertexAttribBindingEXT, glVertexArrayVertexAttribFormatEXT, glVertexArrayVertexAttribIFormatEXT, glVertexArrayVertexAttribLFormatEXT, glVertexArrayVertexBindingDivisorEXT, glVertexAttrib1d, glVertexAttrib1dv, glVertexAttrib1dv, glVertexAttrib1s, glVertexAttrib1sv, glVertexAttrib1sv, glVertexAttrib2d, glVertexAttrib2dv, glVertexAttrib2dv, glVertexAttrib2s, glVertexAttrib2sv, glVertexAttrib2sv, glVertexAttrib3d, glVertexAttrib3dv, glVertexAttrib3dv, glVertexAttrib3s, glVertexAttrib3sv, glVertexAttrib3sv, glVertexAttrib4bv, glVertexAttrib4bv, glVertexAttrib4d, glVertexAttrib4dv, glVertexAttrib4dv, glVertexAttrib4iv, glVertexAttrib4iv, glVertexAttrib4Nbv, glVertexAttrib4Nbv, glVertexAttrib4Niv, glVertexAttrib4Niv, glVertexAttrib4Nsv, glVertexAttrib4Nsv, glVertexAttrib4Nub, glVertexAttrib4Nubv, glVertexAttrib4Nubv, glVertexAttrib4Nuiv, glVertexAttrib4Nuiv, glVertexAttrib4Nusv, glVertexAttrib4Nusv, glVertexAttrib4s, glVertexAttrib4sv, glVertexAttrib4sv, glVertexAttrib4ubv, glVertexAttrib4ubv, glVertexAttrib4uiv, glVertexAttrib4uiv, glVertexAttrib4usv, glVertexAttrib4usv, glVertexAttribFormatNV, glVertexAttribI1i, glVertexAttribI1iv, glVertexAttribI1iv, glVertexAttribI1ui, glVertexAttribI1uiv, glVertexAttribI1uiv, glVertexAttribI2i, glVertexAttribI2iv, glVertexAttribI2iv, glVertexAttribI2ui, glVertexAttribI2uiv, glVertexAttribI2uiv, glVertexAttribI3i, glVertexAttribI3iv, glVertexAttribI3iv, glVertexAttribI3ui, glVertexAttribI3uiv, glVertexAttribI3uiv, glVertexAttribI4bv, glVertexAttribI4bv, glVertexAttribI4sv, glVertexAttribI4sv, glVertexAttribI4ubv, glVertexAttribI4ubv, glVertexAttribI4usv, glVertexAttribI4usv, glVertexAttribIFormatNV, glVertexFormatNV`

    - ### Methods inherited from interface javax.media.opengl.GL2ES3

      `glBeginTransformFeedback, glBindBufferBase, glBindBufferRange, glBindVertexArray, glBlitFramebuffer, glClearBufferfi, glClearBufferfv, glClearBufferfv, glClearBufferiv, glClearBufferiv, glClearBufferuiv, glClearBufferuiv, glCopyBufferSubData, glDeleteVertexArrays, glDeleteVertexArrays, glDrawArraysInstanced, glDrawBuffers, glDrawBuffers, glDrawElementsInstanced, glDrawRangeElements, glEndTransformFeedback, glFramebufferTextureLayer, glGenVertexArrays, glGenVertexArrays, glGetActiveUniformBlockiv, glGetActiveUniformBlockiv, glGetActiveUniformBlockName, glGetActiveUniformBlockName, glGetActiveUniformsiv, glGetActiveUniformsiv, glGetFragDataLocation, glGetIntegeri_v, glGetIntegeri_v, glGetInternalformativ, glGetInternalformativ, glGetStringi, glGetTransformFeedbackVarying, glGetTransformFeedbackVarying, glGetUniformBlockIndex, glGetUniformIndices, glGetUniformIndices, glGetUniformuiv, glGetUniformuiv, glGetVertexAttribIiv, glGetVertexAttribIiv, glGetVertexAttribIuiv, glGetVertexAttribIuiv, glIsVertexArray, glReadBuffer, glRenderbufferStorageMultisample, glTransformFeedbackVaryings, glUniform1ui, glUniform1uiv, glUniform1uiv, glUniform2ui, glUniform2uiv, glUniform2uiv, glUniform3ui, glUniform3uiv, glUniform3uiv, glUniform4ui, glUniform4uiv, glUniform4uiv, glUniformBlockBinding, glUniformMatrix2x3fv, glUniformMatrix2x3fv, glUniformMatrix2x4fv, glUniformMatrix2x4fv, glUniformMatrix3x2fv, glUniformMatrix3x2fv, glUniformMatrix3x4fv, glUniformMatrix3x4fv, glUniformMatrix4x2fv, glUniformMatrix4x2fv, glUniformMatrix4x3fv, glUniformMatrix4x3fv, glVertexAttribI4i, glVertexAttribI4iv, glVertexAttribI4iv, glVertexAttribI4ui, glVertexAttribI4uiv, glVertexAttribI4uiv, glVertexAttribIPointer, isPBOPackBound, isPBOUnpackBound`

    - ### Methods inherited from interface javax.media.opengl.GL2ES2

      `glAttachShader, glBeginQuery, glBindAttribLocation, glBlendColor, glClearDepth, glClearDepthf, glCompileShader, glCompressedTexImage3D, glCompressedTexImage3D, glCompressedTexSubImage3D, glCompressedTexSubImage3D, glCopyTexSubImage3D, glCreateProgram, glCreateShader, glDebugMessageControl, glDebugMessageControl, glDebugMessageInsert, glDeleteProgram, glDeleteQueries, glDeleteQueries, glDeleteShader, glDepthRange, glDepthRangef, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glEndQuery, glFramebufferTexture3D, glGenQueries, glGenQueries, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetDebugMessageLog, glGetDebugMessageLog, glGetObjectLabel, glGetObjectLabel, glGetObjectPtrLabel, glGetObjectPtrLabel, glGetProgramBinary, glGetProgramBinary, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetQueryiv, glGetQueryiv, glGetQueryObjectuiv, glGetQueryObjectuiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderPrecisionFormat, glGetShaderPrecisionFormat, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsQuery, glIsShader, glLinkProgram, glObjectLabel, glObjectLabel, glObjectPtrLabel, glObjectPtrLabel, glPopDebugGroup, glProgramBinary, glPushDebugGroup, glPushDebugGroup, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glTexImage3D, glTexImage3D, glTexSubImage3D, glTexSubImage3D, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_INT64_NV

          static final int GL_INT64_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT64_NV

          static final int GL_UNSIGNED_INT64_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT8_NV

          static final int GL_INT8_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT8_VEC2_NV

          static final int GL_INT8_VEC2_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT8_VEC3_NV

          static final int GL_INT8_VEC3_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT8_VEC4_NV

          static final int GL_INT8_VEC4_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT16_NV

          static final int GL_INT16_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT16_VEC2_NV

          static final int GL_INT16_VEC2_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT16_VEC3_NV

          static final int GL_INT16_VEC3_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT16_VEC4_NV

          static final int GL_INT16_VEC4_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT64_VEC2_NV

          static final int GL_INT64_VEC2_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT64_VEC3_NV

          static final int GL_INT64_VEC3_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_INT64_VEC4_NV

          static final int GL_INT64_VEC4_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT8_NV

          static final int GL_UNSIGNED_INT8_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT8_VEC2_NV

          static final int GL_UNSIGNED_INT8_VEC2_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT8_VEC3_NV

          static final int GL_UNSIGNED_INT8_VEC3_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT8_VEC4_NV

          static final int GL_UNSIGNED_INT8_VEC4_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT16_NV

          static final int GL_UNSIGNED_INT16_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT16_VEC2_NV

          static final int GL_UNSIGNED_INT16_VEC2_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT16_VEC3_NV

          static final int GL_UNSIGNED_INT16_VEC3_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT16_VEC4_NV

          static final int GL_UNSIGNED_INT16_VEC4_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT64_VEC2_NV

          static final int GL_UNSIGNED_INT64_VEC2_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT64_VEC3_NV

          static final int GL_UNSIGNED_INT64_VEC3_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT64_VEC4_NV

          static final int GL_UNSIGNED_INT64_VEC4_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_FLOAT16_NV

          static final int GL_FLOAT16_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_FLOAT16_VEC2_NV

          static final int GL_FLOAT16_VEC2_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_FLOAT16_VEC3_NV

          static final int GL_FLOAT16_VEC3_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_FLOAT16_VEC4_NV

          static final int GL_FLOAT16_VEC4_NV

      Part of `GL_NV_gpu_shader5`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glGetUniformi64vNV

          void glGetUniformi64vNV(int program,
                                int location,
                                LongBuffer params)

      Entry point to C language function: `void glGetUniformi64vNV(GLuint program, GLint location, GLint64EXT * params)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetUniformi64vNV

          void glGetUniformi64vNV(int program,
                                int location,
                                long[] params,
                                int params_offset)

      Entry point to C language function: `void glGetUniformi64vNV(GLuint program, GLint location, GLint64EXT * params)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform1i64NV

          void glProgramUniform1i64NV(int program,
                                    int location,
                                    long x)

      Entry point to C language function: `void glProgramUniform1i64NV(GLuint program, GLint location, GLint64EXT x)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform1i64vNV

          void glProgramUniform1i64vNV(int program,
                                     int location,
                                     int count,
                                     LongBuffer value)

      Entry point to C language function: `void glProgramUniform1i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniform1i64vNV

          void glProgramUniform1i64vNV(int program,
                                     int location,
                                     int count,
                                     long[] value,
                                     int value_offset)

      Entry point to C language function: `void glProgramUniform1i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform1ui64NV

          void glProgramUniform1ui64NV(int program,
                                     int location,
                                     long x)

      Entry point to C language function: `void glProgramUniform1ui64NV(GLuint program, GLint location, GLuint64EXT x)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform1ui64vNV

          void glProgramUniform1ui64vNV(int program,
                                      int location,
                                      int count,
                                      LongBuffer value)

      Entry point to C language function: `void glProgramUniform1ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniform1ui64vNV

          void glProgramUniform1ui64vNV(int program,
                                      int location,
                                      int count,
                                      long[] value,
                                      int value_offset)

      Entry point to C language function: `void glProgramUniform1ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform2i64NV

          void glProgramUniform2i64NV(int program,
                                    int location,
                                    long x,
                                    long y)

      Entry point to C language function: `void glProgramUniform2i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform2i64vNV

          void glProgramUniform2i64vNV(int program,
                                     int location,
                                     int count,
                                     LongBuffer value)

      Entry point to C language function: `void glProgramUniform2i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniform2i64vNV

          void glProgramUniform2i64vNV(int program,
                                     int location,
                                     int count,
                                     long[] value,
                                     int value_offset)

      Entry point to C language function: `void glProgramUniform2i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform2ui64NV

          void glProgramUniform2ui64NV(int program,
                                     int location,
                                     long x,
                                     long y)

      Entry point to C language function: `void glProgramUniform2ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform2ui64vNV

          void glProgramUniform2ui64vNV(int program,
                                      int location,
                                      int count,
                                      LongBuffer value)

      Entry point to C language function: `void glProgramUniform2ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniform2ui64vNV

          void glProgramUniform2ui64vNV(int program,
                                      int location,
                                      int count,
                                      long[] value,
                                      int value_offset)

      Entry point to C language function: `void glProgramUniform2ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform3i64NV

          void glProgramUniform3i64NV(int program,
                                    int location,
                                    long x,
                                    long y,
                                    long z)

      Entry point to C language function: `void glProgramUniform3i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform3i64vNV

          void glProgramUniform3i64vNV(int program,
                                     int location,
                                     int count,
                                     LongBuffer value)

      Entry point to C language function: `void glProgramUniform3i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniform3i64vNV

          void glProgramUniform3i64vNV(int program,
                                     int location,
                                     int count,
                                     long[] value,
                                     int value_offset)

      Entry point to C language function: `void glProgramUniform3i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform3ui64NV

          void glProgramUniform3ui64NV(int program,
                                     int location,
                                     long x,
                                     long y,
                                     long z)

      Entry point to C language function: `void glProgramUniform3ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform3ui64vNV

          void glProgramUniform3ui64vNV(int program,
                                      int location,
                                      int count,
                                      LongBuffer value)

      Entry point to C language function: `void glProgramUniform3ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniform3ui64vNV

          void glProgramUniform3ui64vNV(int program,
                                      int location,
                                      int count,
                                      long[] value,
                                      int value_offset)

      Entry point to C language function: `void glProgramUniform3ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform4i64NV

          void glProgramUniform4i64NV(int program,
                                    int location,
                                    long x,
                                    long y,
                                    long z,
                                    long w)

      Entry point to C language function: `void glProgramUniform4i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform4i64vNV

          void glProgramUniform4i64vNV(int program,
                                     int location,
                                     int count,
                                     LongBuffer value)

      Entry point to C language function: `void glProgramUniform4i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniform4i64vNV

          void glProgramUniform4i64vNV(int program,
                                     int location,
                                     int count,
                                     long[] value,
                                     int value_offset)

      Entry point to C language function: `void glProgramUniform4i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform4ui64NV

          void glProgramUniform4ui64NV(int program,
                                     int location,
                                     long x,
                                     long y,
                                     long z,
                                     long w)

      Entry point to C language function: `void glProgramUniform4ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)`
      Part of `GL_NV_gpu_shader5`

    - #### glProgramUniform4ui64vNV

          void glProgramUniform4ui64vNV(int program,
                                      int location,
                                      int count,
                                      LongBuffer value)

      Entry point to C language function: `void glProgramUniform4ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glProgramUniform4ui64vNV

          void glProgramUniform4ui64vNV(int program,
                                      int location,
                                      int count,
                                      long[] value,
                                      int value_offset)

      Entry point to C language function: `void glProgramUniform4ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform1i64NV

          void glUniform1i64NV(int location,
                             long x)

      Entry point to C language function: `void glUniform1i64NV(GLint location, GLint64EXT x)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform1i64vNV

          void glUniform1i64vNV(int location,
                              int count,
                              LongBuffer value)

      Entry point to C language function: `void glUniform1i64vNV(GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniform1i64vNV

          void glUniform1i64vNV(int location,
                              int count,
                              long[] value,
                              int value_offset)

      Entry point to C language function: `void glUniform1i64vNV(GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform1ui64NV

          void glUniform1ui64NV(int location,
                              long x)

      Entry point to C language function: `void glUniform1ui64NV(GLint location, GLuint64EXT x)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform1ui64vNV

          void glUniform1ui64vNV(int location,
                               int count,
                               LongBuffer value)

      Entry point to C language function: `void glUniform1ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniform1ui64vNV

          void glUniform1ui64vNV(int location,
                               int count,
                               long[] value,
                               int value_offset)

      Entry point to C language function: `void glUniform1ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform2i64NV

          void glUniform2i64NV(int location,
                             long x,
                             long y)

      Entry point to C language function: `void glUniform2i64NV(GLint location, GLint64EXT x, GLint64EXT y)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform2i64vNV

          void glUniform2i64vNV(int location,
                              int count,
                              LongBuffer value)

      Entry point to C language function: `void glUniform2i64vNV(GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniform2i64vNV

          void glUniform2i64vNV(int location,
                              int count,
                              long[] value,
                              int value_offset)

      Entry point to C language function: `void glUniform2i64vNV(GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform2ui64NV

          void glUniform2ui64NV(int location,
                              long x,
                              long y)

      Entry point to C language function: `void glUniform2ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform2ui64vNV

          void glUniform2ui64vNV(int location,
                               int count,
                               LongBuffer value)

      Entry point to C language function: `void glUniform2ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniform2ui64vNV

          void glUniform2ui64vNV(int location,
                               int count,
                               long[] value,
                               int value_offset)

      Entry point to C language function: `void glUniform2ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform3i64NV

          void glUniform3i64NV(int location,
                             long x,
                             long y,
                             long z)

      Entry point to C language function: `void glUniform3i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform3i64vNV

          void glUniform3i64vNV(int location,
                              int count,
                              LongBuffer value)

      Entry point to C language function: `void glUniform3i64vNV(GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniform3i64vNV

          void glUniform3i64vNV(int location,
                              int count,
                              long[] value,
                              int value_offset)

      Entry point to C language function: `void glUniform3i64vNV(GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform3ui64NV

          void glUniform3ui64NV(int location,
                              long x,
                              long y,
                              long z)

      Entry point to C language function: `void glUniform3ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform3ui64vNV

          void glUniform3ui64vNV(int location,
                               int count,
                               LongBuffer value)

      Entry point to C language function: `void glUniform3ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniform3ui64vNV

          void glUniform3ui64vNV(int location,
                               int count,
                               long[] value,
                               int value_offset)

      Entry point to C language function: `void glUniform3ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform4i64NV

          void glUniform4i64NV(int location,
                             long x,
                             long y,
                             long z,
                             long w)

      Entry point to C language function: `void glUniform4i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform4i64vNV

          void glUniform4i64vNV(int location,
                              int count,
                              LongBuffer value)

      Entry point to C language function: `void glUniform4i64vNV(GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniform4i64vNV

          void glUniform4i64vNV(int location,
                              int count,
                              long[] value,
                              int value_offset)

      Entry point to C language function: `void glUniform4i64vNV(GLint location, GLsizei count, const GLint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform4ui64NV

          void glUniform4ui64NV(int location,
                              long x,
                              long y,
                              long z,
                              long w)

      Entry point to C language function: `void glUniform4ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)`
      Part of `GL_NV_gpu_shader5`

    - #### glUniform4ui64vNV

          void glUniform4ui64vNV(int location,
                               int count,
                               LongBuffer value)

      Entry point to C language function: `void glUniform4ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`
      Parameters:
        `value` - a direct or array-backed `LongBuffer`

    - #### glUniform4ui64vNV

          void glUniform4ui64vNV(int location,
                               int count,
                               long[] value,
                               int value_offset)

      Entry point to C language function: `void glUniform4ui64vNV(GLint location, GLsizei count, const GLuint64EXT * value)`
      Part of `GL_NV_gpu_shader5`

    - #### glDrawElementsBaseVertex

          void glDrawElementsBaseVertex(int mode,
                                      int count,
                                      int type,
                                      Buffer indices,
                                      int basevertex)

      Entry point to C language function: `void glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLint basevertex);`
      Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
      Parameters:
        `indices` - a direct or array-backed `Buffer`

    - #### glDrawElementsInstancedBaseVertex

          void glDrawElementsInstancedBaseVertex(int mode,
                                               int count,
                                               int type,
                                               Buffer indices,
                                               int instancecount,
                                               int basevertex)

      Entry point to C language function: `void glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid * indices, GLsizei instancecount, GLint basevertex);`
      Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
      Parameters:
        `indices` - a direct or array-backed `Buffer`

    - #### glDrawRangeElementsBaseVertex

          void glDrawRangeElementsBaseVertex(int mode,
                                           int start,
                                           int end,
                                           int count,
                                           int type,
                                           Buffer indices,
                                           int basevertex)

      Entry point to C language function: `void glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid * indices, GLint basevertex);`
      Part of `GL_ARB_draw_elements_base_vertex`, `GL_VERSION_3_2`
      Parameters:
        `indices` - a direct or array-backed `Buffer`

Copyright 2010 JogAmp Community.